<?php

namespace App\Http\Controllers\Admin\Auth;

use App\Http\Controllers\Controller;
use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;
use Illuminate\Validation\ValidationException;

class LoginController extends Controller
{
    public function view()
    {
        return view('admin.auth.login');
    }

    public function handle(Request $request)
    {
        $user = User::where('email', $request->identifiant)->first();

        if (is_null($user)) {
            throw ValidationException::withMessages([
                'identifiant' =>'Identifiant ou mot de passe invalide.'
            ]);
        }

        if (!Hash::check($request ->password, $user ->password)) {
            throw ValidationException::withMessages([
                'password' =>'Identifiant ou mot de passe invalide.'
            ]);
        }

        if ($user ->is_admin !== 1) {
            notiflash_toast('warning', "Vous n'avez pas les droits d'administrateur.");
            return redirect() ->route('app.admin.auth.login');
        }

        Auth::guard('admin') ->login($user);

        return redirect() ->route('app.admin.dashboard');
    }
}
