<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Permission;
use Illuminate\Http\Request;

class PermissionController extends Controller
{
    public function index()
    {
        $permissions = Permission::all();

        return view('admin.permission.index', compact('permissions'));
    }

    public function deleted()
    {
        $permissions = Permission::onlyTrashed() ->get();

        return view('admin.permission.deleted', compact('permissions'));
    }

    public function create()
    {
        return view('admin.permission.create');
    }

    public function store(Request $request) 
    {
        Permission::create([
            "name" => $request->name,
            "display_name" => $request->display_name,
            "description" => $request->description,
        ]);

        notiflash_toast("success", 'Données créées avec succès.');

        return redirect() ->route('app.admin.permissions.index');
    }

    public function show($id)
    {
        $permission = Permission::where('_id', $id) ->first();

        return view('admin.permission.show', compact('permission'));
    }

    public function edit($id)
    {
        $permission = Permission::where('_id', $id) ->first();

        return view('admin.permission.edit', compact('permission'));
    }

    public function update(Request $request, $id)
    {
        $permission = Permission::where('_id', $id) ->first();
        
        $permission ->name = $request->name;
        $permission ->display_name = $request->display_name;
        $permission ->description = $request->description;

        $permission ->save();

        notiflash_toast("success", 'Données mises à jour avec succès.');

        return redirect() ->back();
    }
    
    public function delete($id)
    {
        $permission = Permission::where('_id', $id) ->first();
        $permission ->delete();

        notiflash_toast("success", 'Données supprimées avec succès.');

        return redirect() ->back();
    }
}
