<?php

namespace App\Http\Controllers;

use App\Models\Province;
use App\Models\Department;
use Illuminate\Http\Request;

use Exception;

use Toastr;

class DepartementController extends Controller
{
    public function index(){
        $data['departements'] = Department::orderBy('name')->get();
        $data['provinces'] = Province::orderBy('name')->get();
        return view('organisations.departement')->with($data);
    }


    public function store(Request $request) 
    {
        try{
            Department::create([
                "name" => $request->name,
                "description" => $request->description,
                "province_id" => $request->province_id,
            ]); 
            Toastr::success('Département Ajouté avec succès', 'Statut', ["positionClass" => "toast-top-right"]);
        }catch(Exception $e){
            Toastr::error('Une erreur est survenue', 'Statut', ["positionClass" => "toast-top-right"]);

        }

        return back();
    }


    public function update(Request $request) 
    {
        $province = Department::findOrFail($request->id);
        try{
            $province->update([
                "name" => $request->name,
                "description" => $request->description,
                "province_id" => $request->province_id,
            ]); 
            Toastr::success('Département modifié avec succès', 'Statut', ["positionClass" => "toast-top-right"]);
        }catch(Exception $e){
            Toastr::error('Une erreur est survenue', 'Statut', ["positionClass" => "toast-top-right"]);
        }

        return back();
    }


    public function delete(Request $request) 
    {
        $province = Department::findOrFail($request->id);
        try{
            $province->delete();
            Toastr::success('Département supprimé avec succès', 'Statut', ["positionClass" => "toast-top-right"]);
        }catch(Exception $e){
            Toastr::error('Une erreur est survenue', 'Statut', ["positionClass" => "toast-top-right"]);
        }

        return back();
    }
}
