<?php

namespace App\Http\Controllers;

use App\Models\District;
use App\Models\Province;
use App\Models\Department;
use Illuminate\Http\Request;

use Exception;

use Toastr;


class DistrictController extends Controller
{
    
    public function index(){
        $data['departements'] = Department::orderBy('name')->get();
        $data['provinces'] = Province::orderBy('name')->get();
        $data['districts'] = District::orderBy('name')->get();
        return view('organisations.district')->with($data);
    }


    public function store(Request $request) 
    {
        try{
            District::create([
                "name" => $request->name,
                "description" => $request->description,
                "department_id" => $request->department_id,
            ]); 
            Toastr::success('District  Ajouté avec succès', 'Statut', ["positionClass" => "toast-top-right"]);
        }catch(Exception $e){
            Toastr::error('Une erreur est survenue', 'Statut', ["positionClass" => "toast-top-right"]);

        }

        return back();
    }


    public function update(Request $request) 
    {
        $province = District::findOrFail($request->id);
        try{
            $province->update([
                "name" => $request->name,
                "description" => $request->description,
                "department_id" => $request->department_id,
            ]); 
            Toastr::success('District  modifié avec succès', 'Statut', ["positionClass" => "toast-top-right"]);
        }catch(Exception $e){
            Toastr::error('Une erreur est survenue', 'Statut', ["positionClass" => "toast-top-right"]);
        }

        return back();
    }


    public function delete(Request $request) 
    {
        $province = District::findOrFail($request->id);
        try{
            $province->delete();
            Toastr::success('District  supprimé avec succès', 'Statut', ["positionClass" => "toast-top-right"]);
        }catch(Exception $e){
            Toastr::error('Une erreur est survenue', 'Statut', ["positionClass" => "toast-top-right"]);
        }

        return back();
    }
}
