<?php

namespace App\Http\Controllers;

use App\Models\Habilitations;
use App\Http\Requests\StoreHabilitationsRequest;
use App\Http\Requests\UpdateHabilitationsRequest;
use Illuminate\Http\Request;

use Brian2694\Toastr\Facades\Toastr;
use Exception;

class HabilitationsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
    	$donnees['roles'] = Habilitations::orderBy('code')->get();
    	return view('administration.roles')->with($donnees);
    }

    public function update(Request $request)
    {
        $params = Habilitations::where('id', $request->id);
        $params->update([
            'code' => $request->champ1,
            'libelle' => $request->champ2,
            'description' => $request->champ3
        ]);
        Toastr::warning("Rôle modifiée avec success", "Gestion des Rôle");
        return back();
    }
    public function delete(Request $request)
    {
        $table = Habilitations::where('id', $request->id);
        
        try{
            $table->delete();
        Toastr::error("Rôle supprimée avec success", "Gestion des Rôle");
        }catch(Exception $e){
            Toastr::error("Cette abilitation ne peut plus être supprimé de votre base de donnée.", "Erreur");
        }
        return back();
    }
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    // /**
    //  * Store a newly created resource in storage.
    //  *
    //  * @param  \App\Http\Requests\StoreHabilitationsRequest  $request
    //  * @return \Illuminate\Http\Response
    //  */
    // public function store(StoreHabilitationsRequest $request)
    // {
    //     //
    // }
    public function store(Request $request)
    {
        Habilitations::create([
            'code' => $request->champ1,
            'libelle' => $request->champ2,
            'description' => $request->champ3
        ]);

        Toastr::success("Rôle ajoutée avec success", "Rôles");
        return back();
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Habilitations  $habilitations
     * @return \Illuminate\Http\Response
     */
    public function show(Habilitations $habilitations)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Habilitations  $habilitations
     * @return \Illuminate\Http\Response
     */
    public function edit(Habilitations $habilitations)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \App\Http\Requests\UpdateHabilitationsRequest  $request
     * @param  \App\Models\Habilitations  $habilitations
     * @return \Illuminate\Http\Response
     */
    // public function update(UpdateHabilitationsRequest $request, Habilitations $habilitations)
    // {
    //     //
    // }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Habilitations  $habilitations
     * @return \Illuminate\Http\Response
     */
    public function destroy(Habilitations $habilitations)
    {
        //
    }
}
