<?php
namespace App\Http\Controllers\Admin;
namespace App\Http\Controllers;

use App\Models\Params;
use App\Models\Tparams;
use App\Models\User;
use App\Http\Requests\StoreParamsRequest;
use App\Http\Requests\UpdateParamsRequest;
use Illuminate\Http\Request;
use PhpParser\Builder\Param;

use Brian2694\Toastr\Facades\Toastr;
use Exception;

class ParamsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
    	$donnees['tparams'] = Tparams::orderBy('cd_tparams')->get();
    	$donnees['params'] = Params::orderBy('cd_params')->get();
    	return view('params')->with($donnees);
    }
    public function Postes(){

        $donnees['tparam'] = Tparams::findOrFail(8);

        return view('parametres.postes')->with($donnees);
    }
    public function Sites(){
        $donnees['tparam'] = Tparams::findOrFail(17); 
        return view('parametres.sites')->with($donnees);
    }
    public function Corps(){
        $donnees['tparam'] = Tparams::findOrFail(11); 
        return view('parametres.corps')->with($donnees);
    }    
    public function Ministeres(){
        $donnees['tparam'] = Tparams::findOrFail(7);
        return view('parametres.ministeres')->with($donnees);
    }
    public function Delegations(){
        $donnees['tparam'] = Tparams::findOrFail(19);
        return view('parametres.delegations')->with($donnees);

    }
    public function Directions(){
        $donnees['tparam'] = Tparams::findOrFail(20);
        $donnees['parents'] = Params::where('tparam_id', 19)->orderBy('cd_params')->get();
        return view('parametres.directions')->with($donnees);
    }
    public function Services(){
        $donnees['tparam'] = Tparams::findOrFail(21);
        $donnees['parents'] = Params::where('tparam_id', 20)->orderBy('cd_params')->get();
        return view('parametres.services')->with($donnees);        
    }
    public function store(Request $request)
    {
        Params::create([
            'cd_params' => $request->cd_params,
            'nom_params' => $request->nom_params,
            'obs_params' => $request->obs_params,
            'parent' => $request->params_parent,
            'tparam_id' => $request->tparam_id,
            'user_id' => $request->user_id
        ]);
        
        Toastr::success("Donnée ajoutée avec success", "Donnée");
        return back();
    }
    public function update(Request $request)
    {
        $params = Params::where('id', $request->id);
        $params->update([
            'cd_params' => $request->cd_params,
            'nom_params' => $request->nom_params,
            'obs_params' => $request->obs_params,
            'parent' => $request->params_parent,
            'tparam_id' => $request->tparam_id,
            'user_id' => $request->user_id
        ]);
        Toastr::warning("Donnée modifiée avec success", "Donnée");
        return back();
    }
    public function delete(Request $request)
    {
        $table = Params::where('id', $request->id);
        
        try{
            $table->delete();
        Toastr::error("Donnée supprimée avec success", "Donnée");
        }catch(Exception $e){
            Toastr::error("Ce parametre ne peut plus être supprimé de votre base de donnée.", "Erreur");
        }
        return back();
    }

}
