<?php

namespace App\Http\Controllers;

use App\Models\Profilsutilisateurs;
use App\Models\Habilitations;
use App\Http\Requests\StoreProfilsutilisateursRequest;
use App\Http\Requests\UpdateProfilsutilisateursRequest;

use Illuminate\Http\Request;
use Brian2694\Toastr\Facades\Toastr;
use Exception;

class ProfilsutilisateursController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
    	$donnees['profils'] = Profilsutilisateurs::orderBy('code')->get();
    	return view('administration.profils')->with($donnees);
    }

    public function show($id)
    {
        $donnees['profil'] = Profilsutilisateurs::findOrFail($id);
    	$donnees['roles'] = Habilitations::orderBy('code')->get();
    	return view('administration.habilitation')->with($donnees);
    }
    public function store(Request $request)
    {
        Profilsutilisateurs::create([
            'code' => $request->champ1,
            'libelle' => $request->champ2,
            'description' => $request->champ3
        ]);

        Toastr::success("Profil ajoutée avec success", "Gestion des Profils");
        return back();
    }
    public function update(Request $request)
    {
        $params = Profilsutilisateurs::where('id', $request->id);
        $params->update([
            'code' => $request->champ1,
            'libelle' => $request->champ2,
            'description' => $request->champ3
        ]);
        Toastr::warning("Profil modifiée avec success", "Gestion des Profils");
        return back();
    }
    public function delete(Request $request)
    {
        $table = Profilsutilisateurs::where('id', $request->id);
        
        try{
            $table->delete();
            Toastr::error("Profil supprimée avec success", "Gestion des Profils");
        }catch(Exception $e){
            Toastr::error("Ce profil ne peut plus être supprimé de votre base de donnée.", "Erreur");
        }
        return back();
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \App\Http\Requests\StoreProfilsutilisateursRequest  $request
     * @return \Illuminate\Http\Response
     */
    // public function store(StoreProfilsutilisateursRequest $request)
    // {
    //     //
    // }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Profilsutilisateurs  $profilsutilisateurs
     * @return \Illuminate\Http\Response
     */
    // public function show(Profilsutilisateurs $profilsutilisateurs)
    // {
    //     //
    // }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Profilsutilisateurs  $profilsutilisateurs
     * @return \Illuminate\Http\Response
     */
    public function edit(Profilsutilisateurs $profilsutilisateurs)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \App\Http\Requests\UpdateProfilsutilisateursRequest  $request
     * @param  \App\Models\Profilsutilisateurs  $profilsutilisateurs
     * @return \Illuminate\Http\Response
     */
    // public function update(UpdateProfilsutilisateursRequest $request, Profilsutilisateurs $profilsutilisateurs)
    // {
    //     //
    // }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Profilsutilisateurs  $profilsutilisateurs
     * @return \Illuminate\Http\Response
     */
    public function destroy(Profilsutilisateurs $profilsutilisateurs)
    {
        //
    }
}
