<?php

namespace App\Http\Controllers;

use App\Models\Province;
use Illuminate\Http\Request;

use Exception;

use Toastr;

class ProvinceController extends Controller
{
    public function index(){
        $data['provinces'] = Province::orderBy('name')->get();
        return view('organisations.provinces')->with($data);
    }


    public function store(Request $request) 
    {
        try{
            Province::create([
                "name" => $request->name,
                "description" => $request->description,
            ]); 
            Toastr::success('Province Ajoutée avec succès', 'Statut', ["positionClass" => "toast-top-right"]);
        }catch(Exception $e){
            Toastr::error('Une erreur est survenue', 'Statut', ["positionClass" => "toast-top-right"]);

        }

        return back();
    }


    public function update(Request $request) 
    {
        $province = Province::findOrFail($request->id);
        try{
            $province->update([
                "name" => $request->name,
                "description" => $request->description,
            ]); 
            Toastr::success('Province modifiée avec succès', 'Statut', ["positionClass" => "toast-top-right"]);
        }catch(Exception $e){
            Toastr::error('Une erreur est survenue', 'Statut', ["positionClass" => "toast-top-right"]);
        }

        return back();
    }


    public function delete(Request $request) 
    {
        $province = Province::findOrFail($request->id);
        try{
            $province->delete();
            Toastr::success('Province supprimée avec succès', 'Statut', ["positionClass" => "toast-top-right"]);
        }catch(Exception $e){
            Toastr::error('Une erreur est survenue', 'Statut', ["positionClass" => "toast-top-right"]);
        }

        return back();
    }
}
