<?php

namespace App\Http\Controllers;

use App\Models\Province;
use App\Models\Params;
use App\Models\Resultat;
use App\Models\VotingCenter;
use App\Models\Bureau;
use Illuminate\Http\Request;
use Pdf;
class ReportingController extends Controller
{
    public function general(){
        $data['lecandidat'] = Params::findOrFail(131);
        $data['total_votes'] = Resultat::sum('vote');
        $data['total_vote_candidat'] = Resultat::where('candidat_id', 131)->sum('vote');
        $total = ($data['total_votes']==0)?1:$data['total_votes'];
        $total_vote = $data['total_vote_candidat'];
        $data['taux_vote_candidat'] = round(($total_vote*100/$total),2);
        $data['total_votes'] = Resultat::sum('vote');
        $data['provinces'] = Province::orderBy('name')->get();
        $data['candidats'] = Params::where('tparam_id', 6)->get();
        return view('reportings.general')->with($data);
    }

    public function province(){
        $data['total_votes'] = Resultat::sum('vote');
        $data['total_vote_candidat'] = Resultat::where('candidat_id', 131)->sum('vote');
        $total = ($data['total_votes']==0)?1:$data['total_votes'];
        $total_vote = $data['total_vote_candidat'];
        $data['taux_vote_candidat'] = round(($total_vote*100/$total),2);
        $data['total_votes'] = Resultat::sum('vote');
        $data['provinces'] = Province::orderBy('name')->get();
        $data['candidats'] = Params::where('tparam_id', 6)->get();
        return view('reportings.province')->with($data);
    }
    public function Bureau(){
        $data['total_votes'] = Resultat::sum('vote');
        $data['total_vote_candidat'] = Resultat::where('candidat_id', 131)->sum('vote');
        $total = ($data['total_votes']==0)?1:$data['total_votes'];
        $total_vote = $data['total_vote_candidat'];
        $data['taux_vote_candidat'] = round(($total_vote*100/$total),2);
        $data['total_votes'] = Resultat::sum('vote');
        $data['provinces'] = Province::orderBy('name')->get();
        $data['candidats'] = Params::where('tparam_id', 6)->get();
        return view('reportings.bureau')->with($data);
    }

    public function creer_bureaux(){
        $centres = VotingCenter::orderBy('name')->get();
        foreach ($centres as $key => $value) {
            for ($i=1; $i < 2 ; $i++) { 
                Bureau::create([
                    'numero' => $i,
                    'voting_center_id' => $value->id,
                    'province_id' => $value->district->department->province->id,
                    'department_id' => $value->district->department->id,
                    'district_id' => $value->district->id,
                ]);
            }
        }
        return back();
    }

    public function imprimer_Bureau(){
        $data['candidats'] = Params::where('tparam_id', 6)->orderBy('nom_params')->get();
        $data['provinces'] = Province::orderBy('id')->get();
        $pdf = Pdf::loadView('pdf.bureau', $data);
        return $pdf->download('resultats_bureau.pdf');
    }

    public function imprimer_Centre(){
        $pdf = Pdf::loadView('pdf.bureau', $data);
        return $pdf->download('resultats_bureau.pdf');
    }
}
