<?php

namespace App\Http\Controllers;

use App\Models\Resultat;
use App\Models\Province;
use App\Models\Bureau;
use App\Models\Params;
use App\Models\Department;
use App\Models\District;
use App\Models\VotingCenter;
use App\Http\Requests\StoreResultatRequest;
use App\Http\Requests\UpdateResultatRequest;
use Toastr;
use Exception;
use Illuminate\Http\Request;
class ResultatController extends Controller
{
   public function ajouter(){
        $data['provinces'] = Province::orderBy('name')->get();
        $data['departements'] = Department::orderBy('name')->get();
        $data['districts'] = District::orderBy('name')->get();
        $data['centres'] = VotingCenter::orderBy('name')->get();
        $data['bureaus'] = Bureau::orderBy('numero')->get();
        $data['candidats'] = Params::where('tparam_id', 6)->get();
        return view('organisations.ajout_vote')->with($data);
   }


    public function store(Request $request) 
    {
        $bureau = Bureau::where('numero', $request->bureau_id)->where('voting_center_id', $request->voting_center_id)->first();  
        if(empty($bureau)==false){   
            try{
                $test = Resultat::where('voting_center_id', $request->voting_center_id)->where('bureau_id', $request->bureau_id)->where('candidat_id', $request->candidat_id)->first();

                if (empty($test)) {
                       Resultat::create([
                        "vote" => $request->vote,
                        "candidat_id" => $request->candidat_id,
                        "province_id" => $request->province_id,
                        "department_id" => $request->department_id,
                        "district_id" => $request->district_id,
                        "voting_center_id" => $request->voting_center_id,
                        "bureau_id" => $request->bureau_id,
                    ]); 
                    Toastr::success('Résultat Ajoutée avec succès', 'Statut', ["positionClass" => "toast-top-right"]);
                }else{
                    $test->update([
                        "vote" => $request->vote,
                        "candidat_id" => $request->candidat_id,
                        "province_id" => $request->province_id,
                        "department_id" => $request->department_id,
                        "district_id" => $request->district_id,
                        "voting_center_id" => $request->voting_center_id,
                        "bureau_id" => $request->bureau_id,
                    ]); 
                    Toastr::success('Résultat modifié avec succès', 'Statut', ["positionClass" => "toast-top-right"]);

                }
                
            }catch(Exception $e){
                Toastr::error('Une erreur est survenue', 'Statut', ["positionClass" => "toast-top-right"]);
            }

            // mise à jour des donnes du bureau
            $inscrit = $request->inscrit;
            $votants = $bureau->resultats()->sum('vote')+$request->blancs;
            $blancs = $request->blancs;
            $voting_center_id = $request->voting_center_id;
            $bureau->update([
                "inscrit" => $inscrit,
                "votants" => $votants,
                "blancs" => $blancs
            ]);
        }else{
            Toastr::error('Bureau introuvable !!!', 'Statut', ["positionClass" => "toast-top-right"]);
        }

        return back();
    }
}
