<?php
namespace App\Http\Controllers\Admin;

namespace App\Http\Controllers;

use App\Models\Tparams;
use App\Http\Requests\StoreTparamsRequest;
use App\Http\Requests\UpdateTparamsRequest;

use Illuminate\Http\Request;

use Brian2694\Toastr\Facades\Toastr;
use Exception;

class TparamsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
    	$donnees['tparams'] = Tparams::orderBy('cd_tparams')->get();
    	return view('tparams')->with($donnees);
    }
    
   
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    // /**
    //  * Store a newly created resource in storage.
    //  *
    //  * @param  \App\Http\Requests\StoreTparamsRequest  $request
    //  * @return \Illuminate\Http\Response
    //  */
    // public function store(StoreTparamsRequest $request)
    // {
    //     $cd_tparams = request('cd_tparams');
    //     $nom_tparams = request('nom_tparams');
    //     $obs_tparams = request('obs_tparams');

    //     $tparams = new Tparams();
    //     $tparams->cd_tparams = $cd_tparams;
    //     $tparams->nom_tparams = $nom_tparams;
    //     $tparams->obs_tparams = $obs_tparams;
    //     $tparams->user_id = 1;
    //     $tparams->save();
        
    // 	return back();
    // }

    public function store(Request $request)
    {
        Tparams::create([
            'cd_tparams' => $request->cd_tparams,
            'nom_tparams' => $request->nom_tparams,
            'obs_tparams' => $request->obs_tparams,
            'user_id' => $request->user_id
        ]);
        
        Toastr::success("Type de Donnée ajouté avec success", "Type de Donnée");
        return back();
    }
    
    public function update(Request $request)
    {
        $table = Tparams::where('id', $request->id);
        $table->update([
            'cd_tparams' => $request->cd_tparams,
            'nom_tparams' => $request->nom_tparams,
            'obs_tparams' => $request->obs_tparams,
            'user_id' => $request->user_id
        ]);
        Toastr::warning("Type de Donnée modifié avec success", "Type de Donnée");
        return back();
    }
    public function delete(Request $request)
    {
        $table = Tparams::where('id', $request->id);
        try{
            $table->delete();
            Toastr::error("Type de Donnée supprimé avec success", "Type de Donnée");
            return back();
         }catch(Exception $e){
            Toastr::error("Ce Parametre ne peut plus être supprimé de votre base de donnée.", "Type de données");
            return back();
         }
    }
    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Tparams  $tparams
     * @return \Illuminate\Http\Response
     */
    public function show(Tparams $tparams)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Tparams  $tparams
     * @return \Illuminate\Http\Response
     */
    public function edit(Tparams $tparams)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \App\Http\Requests\UpdateTparamsRequest  $request
     * @param  \App\Models\Tparams  $tparams
     * @return \Illuminate\Http\Response
     */
    // public function update(UpdateTparamsRequest $request, Tparams $tparams)
    // {
    //     //
    // }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Tparams  $tparams
     * @return \Illuminate\Http\Response
     */
    public function destroy(Tparams $tparams)
    {
        //
    }
}
