<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class IsAdmin
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
    public function handle(Request $request, Closure $next)
    {
        if (auth('admin') && auth('admin') ->user() !== null) {
            if (auth('admin') ->user()->is_admin == 1) {
                return $next($request);
            }

            return redirect(route('app.home'))->with('error','You have not admin access');
        }

        else {
            notiflash_toast('info', 'Vous devez être connecté pour continuer.');
            return redirect(route('app.admin.auth.login'));
        }
    }
}
