<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Bureau extends Model
{
    use HasFactory;
    protected $fillable = ['numero', 'inscrit', 'votants', 'blancs', 'voting_center_id', 'province_id', 'department_id', 'district_id']; 

    public function centre_vote()
    {
        return $this->belongsTo(VotingCenter::class, 'voting_center_id', 'id');
    }
    public function province()
    {
        return $this->belongsTo(Province::class, 'province_id', 'id');
    }
    public function department()
    {
        return $this->belongsTo(Department::class, 'department_id', 'id');
    }
    public function district()
    {
        return $this->belongsTo(District::class, 'district_id', 'id');
    }
    public function resultats()
    {
        return $this->hasMany(Resultat::class, 'bureau_id', 'id');
    }

    public function getSufrageAttribute(){
        $sufrage=0;
        $sufrage = $this->votants - $this->blancs;
        return $sufrage;
    }

    public function pourcentage($candidat_id){
        $pourcentage = 0;
        $candidat = Params::findOrFail($candidat_id);
        $nomtre_obtenu = $this->resultats()->where('candidat_id', $candidat_id)->sum('vote');
        $exprime = $this->resultats()->sum('vote');
        $exprime = ($exprime==0)?1:$exprime;
        $pourcentage = round(($pourcentage*100/$exprime),2);
        return $pourcentage;

    }
}
