<?php

namespace App\Models;

use App\Models\User;
use App\Models\Tparams;
use App\Models\Personnels;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Params extends Model
{
    use HasFactory;
    protected $fillable = ['cd_params', 'nom_params', 'obs_params','parent','tparam_id','user_id'];

    public function tparam(){
        return $this->belongsTo(Tparams::class, 'tparam_id', 'id');
    }
    public function le_parent(){
        return $this->belongsTo(Params::class, 'parent', 'id');
    }

    public function les_enfants(){
        return $this->hasMany(Params::class, 'parent', 'id');
    }

    public function leparent(){
        $params =  $this->belongsTo(Params::class, 'parent', 'id')->withDefault(Params::find(1));
       return $params;
    } 

    public function opperateur(){
        return $this->belongsTo(User::class);
    }


    public function resultats()
    {
        return $this->hasMany(Resultat::class, 'candidat_id', 'id');
    }

    public function getTotalVoteAttribute(){
        return $this->resultats()->sum('vote');
    }

    public function getPourcentageAttribute(){
        $pourcentage = 0;
        $total = Resultat::sum('vote');
        $total = ($total==0)?1:$total;
        $pourcentage = round(($this->total_vote*100/$total), 2);
        return $pourcentage;
    }
}
