<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Resultat extends Model
{
    use HasFactory;

    protected $fillable = ['vote', 'candidat_id', 'province_id', 'department_id', 'district_id', 'voting_center_id', 'bureau_id']; 

    public function candidat(){
        return $this->belongsTo(Params::class, 'candidat_id', 'id');
    }
    public function province(){
        return $this->belongsTo(Province::class, 'province_id', 'id');
    }
    public function department(){
        return $this->belongsTo(Department::class, 'department_id', 'id');
    }
    public function district(){
        return $this->belongsTo(District::class, 'district_id', 'id');
    }
    public function voting_center(){
        return $this->belongsTo(VotingCenter::class, 'voting_center_id', 'id');
    }
    public function bureau(){
        return $this->belongsTo(Bureau::class, 'bureau_id', 'id');
    }
}
