<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('representatives', function (Blueprint $table) {
            $table->id();
            // $table->uuid('_id');
            $table->string('_id')->nullable();
            $table->string('name');
            $table->string('first_name');
            $table->string('age');
            $table->string('phone');
            $table->string('email');
            $table->unsignedBigInteger('province_id');

            $table->foreign('province_id')->references('id')->on('provinces')
                ->onUpdate('cascade')->onDelete('cascade');
            
            $table->unsignedBigInteger('department_id');

            $table->foreign('department_id')->references('id')->on('departments')
                ->onUpdate('cascade')->onDelete('cascade');

            $table->unsignedBigInteger('district_id');

            $table->foreign('district_id')->references('id')->on('districts')
                ->onUpdate('cascade')->onDelete('cascade');

            $table->unsignedBigInteger('voting_center_id');

            $table->foreign('voting_center_id')->references('id')->on('voting_centers')
                ->onUpdate('cascade')->onDelete('cascade');

            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('representatives');
    }
};
