<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateResultatsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('resultats', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('vote')->default(0);
            $table->foreignId('voting_center_id')->onUpdate('cascade')->onDelete('cascade');
            $table->foreignId('province_id')->onUpdate('cascade')->onDelete('cascade');
            $table->foreignId('department_id')->onUpdate('cascade')->onDelete('cascade');
            $table->foreignId('district_id')->onUpdate('cascade')->onDelete('cascade');
            $table->foreignId('bureau_id')->onUpdate('cascade')->onDelete('cascade');
            $table->unsignedBigInteger('candidat_id');
            $table->foreign('candidat_id')->references('id')->on('params')->onUpdate('cascade')->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('resultats');
    }
}
