<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateBureausTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('bureaus', function (Blueprint $table) {
            $table->id();
            $table->string('numero')->default(1);
            $table->unsignedBigInteger('inscrit')->default(0);
            $table->unsignedBigInteger('votants')->default(0);
            $table->unsignedBigInteger('blancs')->default(0); 
            $table->foreignId('voting_center_id')->onUpdate('cascade')->onDelete('cascade');
            $table->foreignId('province_id')->onUpdate('cascade')->onDelete('cascade');
            $table->foreignId('department_id')->onUpdate('cascade')->onDelete('cascade');
            $table->foreignId('district_id')->onUpdate('cascade')->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('bureaus');
    }
}
