<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class ParamsSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        

        DB::table("params")->insert([
            ["id"=> 1, "cd_params" => "Aucun",  "nom_params" => "Aucun", "obs_params" => "", "parent" => 1, "tparam_id" => 1, "user_id" => 1],

            ["id"=> 2, "cd_params" => "M",  "nom_params" => "Masculin", "obs_params" => "", "parent" => 1, "tparam_id" => 7, "user_id" => 1],
            ["id"=> 3, "cd_params" => "F",  "nom_params" => "Féminin", "obs_params" => "", "parent" => 1, "tparam_id" => 7, "user_id" => 1],
            // les provinces
            ["id"=> 9, "cd_params" => "G1",  "nom_params" => "ESTUAIRE", "obs_params" => "", "parent" => 1, "tparam_id" => 2, "user_id" => 1],
            ["id"=> 10, "cd_params" => "G2",  "nom_params" => "HAUT-OGOOUE", "obs_params" => "", "parent" => 1, "tparam_id" => 2, "user_id" => 1],
            ["id"=> 11, "cd_params" => "G3",  "nom_params" => "MOYEN OGOOUE", "obs_params" => "", "parent" => 1, "tparam_id" => 2, "user_id" => 1],
            ["id"=> 12, "cd_params" => "G4",  "nom_params" => "NGOUNIE", "obs_params" => "", "parent" => 1, "tparam_id" => 2, "user_id" => 1],
            ["id"=> 13, "cd_params" => "G5",  "nom_params" => "NYANGA", "obs_params" => "", "parent" => 1, "tparam_id" => 2, "user_id" => 1],
            ["id"=> 14, "cd_params" => "G6",  "nom_params" => "OGOOUE IVINDO", "obs_params" => "", "parent" => 1, "tparam_id" => 2, "user_id" => 1],
            ["id"=> 15, "cd_params" => "G7",  "nom_params" => "OGOOUE LOLO", "obs_params" => "", "parent" => 1, "tparam_id" => 2, "user_id" => 1],
            ["id"=> 16, "cd_params" => "G8",  "nom_params" => "OGOOUE MARITIME", "obs_params" => "", "parent" => 1, "tparam_id" => 2, "user_id" => 1],
            ["id"=> 17, "cd_params" => "G9",  "nom_params" => "WOLEU NTEM", "obs_params" => "", "parent" => 1, "tparam_id" => 2, "user_id" => 1],
            // les arrondissements
            ["id"=> 18, "cd_params" => "ARR1",  "nom_params" => "1ER ARRONDISSEMENT", "obs_params" => "", "parent" => 1, "tparam_id" => 4, "user_id" => 1],
            ["id"=> 19, "cd_params" => "ARR2",  "nom_params" => "2EME ARRONDISSEMENT", "obs_params" => "", "parent" => 1, "tparam_id" => 4, "user_id" => 1],
            ["id"=> 20, "cd_params" => "ARR3",  "nom_params" => "3EME ARRONDISSEMENT", "obs_params" => "", "parent" => 1, "tparam_id" => 4, "user_id" => 1],
            ["id"=> 21, "cd_params" => "ARR4",  "nom_params" => "4EME ARRONDISSEMENT", "obs_params" => "", "parent" => 1, "tparam_id" => 4, "user_id" => 1],
            ["id"=> 22, "cd_params" => "ARR5",  "nom_params" => "5EME ARRONDISSEMENT", "obs_params" => "", "parent" => 1, "tparam_id" => 4, "user_id" => 1],
            ["id"=> 23, "cd_params" => "ARR6",  "nom_params" => "6EME ARRONDISSEMENT", "obs_params" => "", "parent" => 1, "tparam_id" => 4, "user_id" => 1],
            // communes des provinces
            ["id"=> 24, "cd_params" => "LBV",  "nom_params" => "LIBREVILLE", "obs_params" => "", "parent" => 9, "tparam_id" => 3, "user_id" => 1],
            ["id"=> 25, "cd_params" => "KGO",  "nom_params" => "KANGO", "obs_params" => "", "parent" => 9, "tparam_id" => 3, "user_id" => 1],
            ["id"=> 26, "cd_params" => "NTM",  "nom_params" => "NTOUM", "obs_params" => "", "parent" => 9, "tparam_id" => 3, "user_id" => 1],
            ["id"=> 27, "cd_params" => "NKAN",  "nom_params" => "NKAN", "obs_params" => "", "parent" => 9, "tparam_id" => 3, "user_id" => 1],
            ["id"=> 28, "cd_params" => "CCB",  "nom_params" => "COCOBEACH", "obs_params" => "", "parent" => 9, "tparam_id" => 3, "user_id" => 1],
            ["id"=> 29, "cd_params" => "FCV",  "nom_params" => "FRANCEVILLE", "obs_params" => "", "parent" => 10, "tparam_id" => 3, "user_id" => 1],
            ["id"=> 30, "cd_params" => "MDA",  "nom_params" => "MOANDA", "obs_params" => "", "parent" => 10, "tparam_id" => 3, "user_id" => 1],
            ["id"=> 31, "cd_params" => "MOUN",  "nom_params" => "MOUNANA", "obs_params" => "", "parent" => 10, "tparam_id" => 3, "user_id" => 1],
            ["id"=> 32, "cd_params" => "LEKON",  "nom_params" => "LEKONI", "obs_params" => "", "parent" => 10, "tparam_id" => 3, "user_id" => 1],
            ["id"=> 33, "cd_params" => "OKOND",  "nom_params" => "OKONDJA", "obs_params" => "", "parent" => 10, "tparam_id" => 3, "user_id" => 1],
            ["id"=> 34, "cd_params" => "NDJO",  "nom_params" => "NDJOLE", "obs_params" => "", "parent" => 11, "tparam_id" => 3, "user_id" => 1],
            ["id"=> 35, "cd_params" => "LBRN",  "nom_params" => "LAMBARENE", "obs_params" => "", "parent" => 11, "tparam_id" => 3, "user_id" => 1],
            ["id"=> 36, "cd_params" => "MOUIL",  "nom_params" => "MOUILA", "obs_params" => "", "parent" => 12, "tparam_id" => 3, "user_id" => 1],
            ["id"=> 37, "cd_params" => "FOUG",  "nom_params" => "FOUGAMOU", "obs_params" => "", "parent" => 12, "tparam_id" => 3, "user_id" => 1],
            ["id"=> 38, "cd_params" => "NDEN",  "nom_params" => "NDENDE", "obs_params" => "", "parent" => 12, "tparam_id" => 3, "user_id" => 1],
            ["id"=> 39, "cd_params" => "MBIG",  "nom_params" => "MBIGOU", "obs_params" => "", "parent" => 12, "tparam_id" => 3, "user_id" => 1],
            ["id"=> 40, "cd_params" => "MIMG",  "nom_params" => "MIMONGO", "obs_params" => "", "parent" => 12, "tparam_id" => 3, "user_id" => 1],
            ["id"=> 41, "cd_params" => "TCHIB",  "nom_params" => "TCHIBANGA", "obs_params" => "", "parent" => 13, "tparam_id" => 3, "user_id" => 1],
            ["id"=> 42, "cd_params" => "MAYU",  "nom_params" => "MAYUMBA", "obs_params" => "", "parent" => 13, "tparam_id" => 3, "user_id" => 1],
            ["id"=> 43, "cd_params" => "TSOG",  "nom_params" => "TSOGNI", "obs_params" => "", "parent" => 13, "tparam_id" => 3, "user_id" => 1],
            ["id"=> 44, "cd_params" => "MKK",  "nom_params" => "MAKOKOU", "obs_params" => "", "parent" => 14, "tparam_id" => 3, "user_id" => 1],
            ["id"=> 45, "cd_params" => "BOOUE",  "nom_params" => "BOOUE", "obs_params" => "", "parent" => 14, "tparam_id" => 3, "user_id" => 1],
            ["id"=> 46, "cd_params" => "MEKB",  "nom_params" => "MEKAMBO", "obs_params" => "", "parent" => 14, "tparam_id" => 3, "user_id" => 1],
            ["id"=> 47, "cd_params" => "KLMT",  "nom_params" => "KOULAMOUTOU", "obs_params" => "", "parent" => 15, "tparam_id" => 3, "user_id" => 1],
            ["id"=> 48, "cd_params" => "LSTV",  "nom_params" => "LASTOURSVILLE", "obs_params" => "", "parent" => 15, "tparam_id" => 3, "user_id" => 1],
            ["id"=> 49, "cd_params" => "PORG",  "nom_params" => "PORT-GENTIL", "obs_params" => "", "parent" => 16, "tparam_id" => 3, "user_id" => 1],
            ["id"=> 50, "cd_params" => "OMB",  "nom_params" => "OMBOUE", "obs_params" => "", "parent" => 16, "tparam_id" => 3, "user_id" => 1],
            ["id"=> 51, "cd_params" => "GAMB",  "nom_params" => "GAMBA", "obs_params" => "", "parent" => 16, "tparam_id" => 3, "user_id" => 1],
            ["id"=> 52, "cd_params" => "OY",  "nom_params" => "OYEM", "obs_params" => "", "parent" => 17, "tparam_id" => 3, "user_id" => 1],
            ["id"=> 53, "cd_params" => "BT",  "nom_params" => "BITAM", "obs_params" => "", "parent" => 17, "tparam_id" => 3, "user_id" => 1],
            ["id"=> 54, "cd_params" => "MVL",  "nom_params" => "MINVOUL", "obs_params" => "", "parent" => 17, "tparam_id" => 3, "user_id" => 1],
            ["id"=> 55, "cd_params" => "MTZ",  "nom_params" => "MITZIC", "obs_params" => "", "parent" => 17, "tparam_id" => 3, "user_id" => 1],
            ["id"=> 56, "cd_params" => "MDNEU",  "nom_params" => "MEDOUNEU", "obs_params" => "", "parent" => 17, "tparam_id" => 3, "user_id" => 1],
            // quartiers de libreville
            ["id"=> 57, "cd_params" => "PK5",  "nom_params" => "PK5", "obs_params" => "", "parent" => 24, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 58, "cd_params" => "PK6",  "nom_params" => "PK6", "obs_params" => "", "parent" => 24, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 59, "cd_params" => "PK7",  "nom_params" => "PK7", "obs_params" => "", "parent" => 24, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 60, "cd_params" => "PK8",  "nom_params" => "PK8", "obs_params" => "", "parent" => 24, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 61, "cd_params" => "PK9",  "nom_params" => "PK9", "obs_params" => "", "parent" => 24, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 62, "cd_params" => "PK10",  "nom_params" => "PK10", "obs_params" => "", "parent" => 24, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 63, "cd_params" => "PK11",  "nom_params" => "PK11", "obs_params" => "", "parent" => 24, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 64, "cd_params" => "PK12",  "nom_params" => "PK12", "obs_params" => "", "parent" => 24, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 65, "cd_params" => "NDZENG",  "nom_params" => "NDZENG AYOBG", "obs_params" => "", "parent" => 24, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 66, "cd_params" => "CHARBO",  "nom_params" => "CHARBONNAGE", "obs_params" => "", "parent" => 24, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 67, "cd_params" => "RIO",  "nom_params" => "RIO", "obs_params" => "", "parent" => 24, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 68, "cd_params" => "NKEM",  "nom_params" => "NKEMBO", "obs_params" => "", "parent" => 24, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 69, "cd_params" => "AVEA",  "nom_params" => "AVEA", "obs_params" => "", "parent" => 24, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 70, "cd_params" => "GARE",  "nom_params" => "GAROUTIERE", "obs_params" => "", "parent" => 24, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 71, "cd_params" => "BELV1",  "nom_params" => "BELLE VUE 1", "obs_params" => "", "parent" => 24, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 72, "cd_params" => "BELV2",  "nom_params" => "BELLE VUE 2", "obs_params" => "", "parent" => 24, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 73, "cd_params" => "IAI",  "nom_params" => "IAI", "obs_params" => "", "parent" => 24, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 74, "cd_params" => "ACAE",  "nom_params" => "ACAE", "obs_params" => "", "parent" => 24, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 75, "cd_params" => "MIND1",  "nom_params" => "MINDOUBE 1", "obs_params" => "", "parent" => 24, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 76, "cd_params" => "MIND2",  "nom_params" => "MINDOUBE 2", "obs_params" => "", "parent" => 24, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 77, "cd_params" => "AWEN",  "nom_params" => "AWENDJE", "obs_params" => "", "parent" => 24, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 78, "cd_params" => "BLVD",  "nom_params" => "BOULEVARD", "obs_params" => "", "parent" => 24, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 79, "cd_params" => "BPEINT",  "nom_params" => "BELLE PEINTURE", "obs_params" => "", "parent" => 24, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 80, "cd_params" => "GARE",  "nom_params" => "GAROUTIERE", "obs_params" => "", "parent" => 24, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 81, "cd_params" => "OWD",  "nom_params" => "OWENDO", "obs_params" => "", "parent" => 9, "tparam_id" => 3, "user_id" => 1],
            // quartiers d'owendo
            ["id"=> 82, "cd_params" => "PET",  "nom_params" => "PETRO", "obs_params" => "", "parent" => 81, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 83, "cd_params" => "DPED",  "nom_params" => "DERRIERE PEDIATRIE", "obs_params" => "", "parent" => 81, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 84, "cd_params" => "RAZ",  "nom_params" => "RAZEL", "obs_params" => "", "parent" => 81, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 85, "cd_params" => "CSNI",  "nom_params" => "CARREFOUR SNI", "obs_params" => "", "parent" => 81, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 86, "cd_params" => "SNI",  "nom_params" => "LA SNI", "obs_params" => "", "parent" => 81, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 87, "cd_params" => "BARAK",  "nom_params" => "BARAKOUDA", "obs_params" => "", "parent" => 81, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 88, "cd_params" => "PVIL",  "nom_params" => "PETIT VILLAGE", "obs_params" => "", "parent" => 81, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 89, "cd_params" => "SETRAG",  "nom_params" => "LA STATION SETRAG", "obs_params" => "", "parent" => 81, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 90, "cd_params" => "ESCARP",  "nom_params" => "ESCARPE", "obs_params" => "", "parent" => 81, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 91, "cd_params" => "POSTE",  "nom_params" => "LA POSTE", "obs_params" => "", "parent" => 81, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 92, "cd_params" => "BAN",  "nom_params" => "BANANIER", "obs_params" => "", "parent" => 81, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 93, "cd_params" => "CAWOUNG",  "nom_params" => "CARREFOUR AWOUNGOU", "obs_params" => "", "parent" => 81, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 94, "cd_params" => "AWGOU",  "nom_params" => "AWOUNGOUE", "obs_params" => "", "parent" => 81, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 95, "cd_params" => "LYCEE",  "nom_params" => "LYCEE TECHNIQUE", "obs_params" => "", "parent" => 81, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 96, "cd_params" => "AKNAM1",  "nom_params" => "AKOURNAM 1", "obs_params" => "", "parent" => 81, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 97, "cd_params" => "AKNAM2",  "nom_params" => "AKOURNAM 2", "obs_params" => "", "parent" => 81, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 98, "cd_params" => "ROUG",  "nom_params" => "ROUGIER", "obs_params" => "", "parent" => 81, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 99, "cd_params" => "SEEG",  "nom_params" => "SEEG", "obs_params" => "", "parent" => 81, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 100, "cd_params" => "VBAK",  "nom_params" => "VILLAGE BAKOTA", "obs_params" => "", "parent" => 81, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 101, "cd_params" => "ALENA",  "nom_params" => "ALENAKIRI", "obs_params" => "", "parent" => 81, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 102, "cd_params" => "PORT",  "nom_params" => "PORT OWENDO", "obs_params" => "", "parent" => 81, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 103, "cd_params" => "AKD",  "nom_params" => "AKANDA", "obs_params" => "", "parent" => 9, "tparam_id" => 3, "user_id" => 1],
            // quartiers d'akanda
            ["id"=> 104, "cd_params" => "OKAL",  "nom_params" => "OKALA", "obs_params" => "", "parent" => 103, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 105, "cd_params" => "JIJI",  "nom_params" => "JIJI", "obs_params" => "", "parent" => 103, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 106, "cd_params" => "ANGO",  "nom_params" => "ANGODJE", "obs_params" => "", "parent" => 103, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 107, "cd_params" => "CHAT",  "nom_params" => "CHATEAU", "obs_params" => "", "parent" => 103, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 108, "cd_params" => "OCARAV",  "nom_params" => "AU CAP CARAVANE", "obs_params" => "", "parent" => 103, "tparam_id" => 5, "user_id" => 1],
            ["id"=> 109, "cd_params" => "C-AILE",  "nom_params" => "CITE DES AILES", "obs_params" => "", "parent" => 103, "tparam_id" => 5, "user_id" => 1],

            // les postes
            ["id"=> 110, "cd_params" => "F",  "nom_params" => "Fondateur", "obs_params" => "", "parent" => 1, "tparam_id" => 9, "user_id" => 1],
            ["id"=> 111, "cd_params" => "DRH",  "nom_params" => "Directeur(risse) des Ressources Humaines", "obs_params" => "", "parent" => 1, "tparam_id" => 9, "user_id" => 1],
            ["id"=> 112, "cd_params" => "DC",  "nom_params" => "Directeur Commercial", "obs_params" => "", "parent" => 1, "tparam_id" => 9, "user_id" => 1],
            ["id"=> 113, "cd_params" => "DT",  "nom_params" => "Directeur Technique", "obs_params" => "", "parent" => 1, "tparam_id" => 9, "user_id" => 1],
            ["id"=> 114, "cd_params" => "M",  "nom_params" => "Manager", "obs_params" => "", "parent" => 1, "tparam_id" => 9, "user_id" => 1],
            ["id"=> 115, "cd_params" => "DFS",  "nom_params" => "Dévéloppeur FullStack", "obs_params" => "", "parent" => 1, "tparam_id" => 9, "user_id" => 1],
            ["id"=> 116, "cd_params" => "DW",  "nom_params" => "Dévéloppeur Web", "obs_params" => "", "parent" => 1, "tparam_id" => 9, "user_id" => 1],
            ["id"=> 117, "cd_params" => "DM",  "nom_params" => "Dévéloppeur Mobile", "obs_params" => "", "parent" => 1, "tparam_id" => 9, "user_id" => 1],
            ["id"=> 118, "cd_params" => "INF",  "nom_params" => "Infographe", "obs_params" => "", "parent" => 1, "tparam_id" => 9, "user_id" => 1],
            ["id"=> 119, "cd_params" => "STA",  "nom_params" => "Stagiaire", "obs_params" => "", "parent" => 1, "tparam_id" => 9, "user_id" => 1],

            // les pays
            ["id"=> 120, "cd_params" => "TCHAD",  "nom_params" => "TCHAD", "obs_params" => "", "parent" => 1, "tparam_id" => 11, "user_id" => 1],
            ["id"=> 121, "cd_params" => "SENEGAL",  "nom_params" => "SENEGAL", "obs_params" => "", "parent" => 1, "tparam_id" => 11, "user_id" => 1],
            ["id"=> 122, "cd_params" => "GUINEE-EQ",  "nom_params" => "GUINEE EQUATORIALE", "obs_params" => "", "parent" => 1, "tparam_id" => 11, "user_id" => 1],
            ["id"=> 123, "cd_params" => "CONGO B",  "nom_params" => "CONGO BRAZAVILLE", "obs_params" => "", "parent" => 1, "tparam_id" => 11, "user_id" => 1],
            ["id"=> 124, "cd_params" => "RDC",  "nom_params" => "REPUBLIQUE DEMOCRATIQUE DU CONGO", "obs_params" => "", "parent" => 1, "tparam_id" => 11, "user_id" => 1],
            ["id"=> 125, "cd_params" => "GABON",  "nom_params" => "GABON", "obs_params" => "", "parent" => 1, "tparam_id" => 11, "user_id" => 1],
            ["id"=> 126, "cd_params" => "CAMEROUN",  "nom_params" => "CAMEROUN", "obs_params" => "", "parent" => 1, "tparam_id" => 11, "user_id" => 1],
            ["id"=> 127, "cd_params" => "FRANCE",  "nom_params" => "FRANCE", "obs_params" => "", "parent" => 1, "tparam_id" => 11, "user_id" => 1],
            ["id"=> 128, "cd_params" => "ADS",  "nom_params" => "AFRIQUE DU SUD", "obs_params" => "", "parent" => 1, "tparam_id" => 11, "user_id" => 1],

            // les statuts
            ["id"=> 129, "cd_params" => "ACTIF",  "nom_params" => "En Service", "obs_params" => "", "parent" => 1, "tparam_id" => 8, "user_id" => 1],
            ["id"=> 130, "cd_params" => "INACTIF",  "nom_params" => "Hors Service", "obs_params" => "", "parent" => 1, "tparam_id" => 8, "user_id" => 1],


            // les candidats
            ["id"=> 131, "cd_params" => "A2O",  "nom_params" => "Albert ONDO OSSA", "obs_params" => "", "parent" => 1, "tparam_id" => 6, "user_id" => 1],
            ["id"=> 132, "cd_params" => "ABO",  "nom_params" => "Ali Bongo Ondimba", "obs_params" => "Indépendant", "parent" => 1, "tparam_id" => 6, "user_id" => 1],
            ["id"=> 133, "cd_params" => "JDBBN",  "nom_params" => "Jean Delor Biyogue Bi Ntougou", "obs_params" => "PDG", "parent" => 1, "tparam_id" => 6, "user_id" => 1],
            ["id"=> 134, "cd_params" => "GENM",  "nom_params" => "Gérard Ella Nguema Mitoghe", "obs_params" => "FPG", "parent" => 1, "tparam_id" => 6, "user_id" => 1],
            ["id"=> 135, "cd_params" => "JRF",  "nom_params" => "Jean Romain Fanguinoveny", "obs_params" => "PPG", "parent" => 1, "tparam_id" => 6, "user_id" => 1],
            ["id"=> 136, "cd_params" => "ASII",  "nom_params" => "Axel Stophène Ibinga Ibinga", "obs_params" => "Indépendant", "parent" => 1, "tparam_id" => 6, "user_id" => 1],
            ["id"=> 137, "cd_params" => "VLD",  "nom_params" => "Victoire Lasseni Duboze", "obs_params" => "Indépendant", "parent" => 1, "tparam_id" => 6, "user_id" => 1],
            ["id"=> 138, "cd_params" => "PCMM",  "nom_params" => "Pierre Claver Maganga Moussavou", "obs_params" => "PSD", "parent" => 1, "tparam_id" => 6, "user_id" => 1],
            ["id"=> 139, "cd_params" => "JMP",  "nom_params" => "Joachim Mbatchi Pambo", "obs_params" => "UFC", "parent" => 1, "tparam_id" => 6, "user_id" => 1],
            ["id"=> 140, "cd_params" => "AMN",  "nom_params" => "Abel Mbombe Nzondou", "obs_params" => "Indépendant", "parent" => 1, "tparam_id" => 6, "user_id" => 1],
            ["id"=> 141, "cd_params" => "JVMM",  "nom_params" => "Jean Victor Mouanga Mbadinga", "obs_params" => "MESP", "parent" => 1, "tparam_id" => 6, "user_id" => 1],
            ["id"=> 142, "cd_params" => "EMM",  "nom_params" => "Emmanuel Mve Mba", "obs_params" => "Indépendant", "parent" => 1, "tparam_id" => 6, "user_id" => 1],
            ["id"=> 143, "cd_params" => "TYMN",  "nom_params" => "Thierry Yvon Michel N’goma", "obs_params" => "Indépendant", "parent" => 1, "tparam_id" => 6, "user_id" => 1],
            ["id"=> 144, "cd_params" => "GO",  "nom_params" => "Gervais Oniane", "obs_params" => "UPR/EPI/RDI", "parent" => 1, "tparam_id" => 6, "user_id" => 1],

            
        ]);
    }
}
