<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="stylesheet" href="{{ asset('libs/fas/css/all.min.css') }}">
        <link rel="stylesheet" href="{{ asset('libs/parsley/parsley.css') }}">
        <link rel="stylesheet" href="{{ asset('css/admin.css') }}">
        <link rel="stylesheet" href="{{ asset('css/color.css') }}">
        @notiflashAssets
        <title>{{ config('app.name') }}</title>
    </head>
    <body>

        <div class="hold-transition login-page">
            <x:notiflash-messages />
            <div class="login-box">
                <div class="card card-outline card-primary">
                    <div class="card-header text-center">
                        <a href="#" class="h4">{{ config('app.name') }} - Administration</a>
                    </div>
                    <div class="card-body">
                        <p class="login-box-msg">Sign in to start your session</p>
            
                        <form action="{{ route('app.admin.auth.login') }}" method="post">
                            @csrf

                            <div class="input-group mb-3">
                                <input type="text" name="identifiant" class="form-control @error('identifiant') border border-danger @enderror" 
                                        placeholder="Adresse email ou téléphone" autocomplete="off" required
                                        value="{{ old('identifiant') }}">
                                <div class="input-group-append">
                                    <div class="input-group-text">
                                        <span class="fas fa-envelope"></span>
                                    </div>
                                </div>
                                @error('identifiant')
                                    <div class="text-danger">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="input-group mb-3">
                                <input type="password" name="password" class="form-control @error('password') border border-danger @enderror" 
                                    placeholder="Mot de passe" autocomplete="off" required>
                                <div class="input-group-append">
                                    <div class="input-group-text">
                                        <span class="fas fa-lock"></span>
                                    </div>
                                </div>
                                @error('password')
                                    <div class="text-danger">{{ $message }}</div>
                                @enderror
                            </div>
                            <button type="submit" class="btn btn-primary btn-block">
                                Connexion
                            </button>
                        </form>
                    </div>
                </div>
            </div>
        </div>

        <script src="{{ asset('libs/jquery/jquery.min.js') }}"></script>
        <script src="{{ asset('libs/bootstrap/bootstrap.bundle.min.js') }}"></script>
        <script src="{{ asset('js/admin.js') }}"></script>
        <script src="{{ asset('libs/parsley/parsley.min.js') }}"></script>
    </body>
</html>