<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="stylesheet" href="{{ asset('libs/fas/css/all.min.css') }}">
        <link rel="stylesheet" href="{{ asset('libs/parsley/parsley.css') }}">
        <link rel="stylesheet" href="{{ asset('css/admin.css') }}">
        <link rel="stylesheet" href="{{ asset('css/color.css') }}">
        <link rel="stylesheet" href="{{ asset('libs/dataTables/css/dataTables.bootstrap4.min.css') }}">
        <link rel="stylesheet" href="{{ asset('libs/dataTables/css/responsive.bootstrap4.min.css') }}">
        <link rel="stylesheet" href="{{ asset('libs/dataTables/css/buttons.bootstrap4.min.css') }}">
        <script src="{{ asset('libs/jquery/jquery.min.js') }}"></script>
        @notiflashAssets
        <title>{{ config('app.name') }}</title>
    </head>
    <body class="hold-transition sidebar-mini layout-fixed layout-navbar-fixed">
        
        <div class="wrapper">
        
            @include('admin.components.partials.navbar')
            @include('admin.components.partials.sidebard')
        
            <div class="content-wrapper">
                <div class="content-header">
                    <div class="container-fluid">
                        <div class="row mb-2">
                            <div class="col-sm-6">
                                <h1 class="m-0">{{ $title ?? 'No Title' }}</h1>
                            </div>
                            <div class="col-sm-6 text-right">
                                @yield('header_action')
                            </div>
                        </div>
                    </div>
                </div>
        
                <div class="content">
                    <div class="container-fluid">
                        <x:notiflash-messages />
                        @yield('content')
                    </div>
                </div>
            </div>
        </div>

        <script src="{{ asset('libs/bootstrap/bootstrap.bundle.min.js') }}"></script>
        <script type="module" src="{{ asset('libs/chartjs/Chart-2.9.4.min.js') }}"></script>
        <script src="{{ asset('js/admin.js') }}"></script>
        <script src="{{ asset('libs/parsley/parsley.min.js') }}"></script>
        <script src="{{ asset('libs/dataTables/js/jquery.dataTables.min.js') }}"></script>
        <script src="{{ asset('libs/dataTables/js/dataTables.bootstrap4.min.js') }}"></script>
        <script>
            $('#dt').dataTable();
            $('#dt1').dataTable();
        </script>
        @yield('scripts')
    </body>
</html>