<aside class="main-sidebar sidebar-dark-primary elevation-4">
    <a href="#" class="brand-link">
        <small>{{ config('app.name') }}</small>
    </a>

    <div class="sidebar">
        <div class="user-panel mt-3 pb-3 mb-3 d-flex">
            <div class="image">
                <img src="{{ asset('img/user.png') }}" class="img-circle elevation-2" alt="User Image">
            </div>
            <div class="info">
                <a href="#" class="d-block">{{ auth('admin') ->user() ->name }}</a>
            </div>
        </div>

        <div class="form-inline">
            <div class="input-group" data-widget="sidebar-search">
                <input class="form-control form-control-sidebar" type="search" placeholder="Search" aria-label="Search">
                <div class="input-group-append">
                    <button class="btn btn-sidebar">
                        <i class="fas fa-search fa-fw"></i>
                    </button>
                </div>
            </div>
        </div>

        <nav class="mt-2">
            <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
                <li class="nav-item">
                    <a href="{{ route('app.admin.dashboard') }}" class="nav-link">
                        <i class="nav-icon fas fa-tachometer-alt"></i>
                        <p>Tableau de bord</p>
                    </a>
                </li>

                @if(auth('admin') ->user() ->hasRole('admin'))
                    <li class="nav-item">
                        <a href="{{ route('app.admin.users.index') }}" class="nav-link">
                            <i class="nav-icon fas fa-user"></i>
                            <p>Utilisateurs</p>
                        </a>
                    </li>
                    
                    <li class="nav-header">Features</li>
                    
                    <li class="nav-item">
                        <a href="{{ route('app.admin.provinces.index') }}" class="nav-link">
                            <i class="nav-icon fas fa-building"></i>
                            <p>Provinces</p>
                        </a>
                    </li>
                    
                    <li class="nav-item">
                        <a href="{{ route('app.admin.departments.index') }}" class="nav-link">
                            <i class="nav-icon fas fa-building"></i>
                            <p>Départements</p>
                        </a>
                    </li>
                    
                    <li class="nav-item">
                        <a href="{{ route('app.admin.districts.index') }}" class="nav-link">
                            <i class="nav-icon fas fa-building"></i>
                            <p>Arrondissements</p>
                        </a>
                    </li>
                    
                    <li class="nav-item">
                        <a href="{{ route('app.admin.voting-centers.index') }}" class="nav-link">
                            <i class="nav-icon fas fa-building"></i>
                            <p>Centres de vote</p>
                        </a>
                    </li>
                    
                    <li class="nav-item">
                        <a href="{{ route('app.admin.representatives.index') }}" class="nav-link">
                            <i class="nav-icon fas fa-users"></i>
                            <p>Représentants</p>
                        </a>
                    </li>
                    
                    <li class="nav-header">Gestion des droits</li>
                    <li class="nav-item">
                        <a href="{{ route('app.admin.roles.index') }}" class="nav-link">
                            <i class="nav-icon fas fa-user-secret"></i>
                            <p>Rôles</p>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a href="{{ route('app.admin.permissions.index') }}" class="nav-link">
                            <i class="nav-icon fas fa-lock"></i>
                            <p>Permissions</p>
                        </a>
                    </li>
                @endif
                
            </ul>
        </nav>
    </div>
</aside>
