
@csrf
<div class="form-group">
    <label for="name">Nom</label>
    <input type="text" name="name" id="name" autocomplete="off" required
        value="{{ (isset($department)) ? $department ->name : old('name') }}"
        class="form-control @error('name') border border-danger @enderror">
    @error('name') <p class="text-danger">{{ $message }}</p> @enderror
</div>

<div class="form-group">
    <label for="province">Province</label>
    <select name="province" id="province"
        class="form-control @error('province') border border-danger @enderror" required>
        <option value="">Aucune sélection</option>
        @foreach ($provinces as $province)
            <option @if (isset($department) && $department->province_id === $province->id) {{ 'selected' }}
                    @elseif (old('province')===$province->id) {{ 'selected' }} @endif 
                    value="{{ $province->id }}">{{ $province->name }}</option>
        @endforeach
    </select>
    @error('province') <p class="text-danger">{{ $message }}</p> @enderror
</div>

<div class="form-group">
    <label for="description">Description</label>
    <textarea name="description" id="description" cols="3" rows="3" autocomplete="off"
        class="form-control @error('description') border border-danger @enderror">
        {{ (isset($department)) ? $department ->description : old('description') }}
    </textarea>
    @error('description') <p class="text-danger">{{ $message }}</p> @enderror
</div>