
@csrf
<div class="form-group">
    <label for="name">Nom</label>
    <input type="text" name="name" id="name" autocomplete="off" required
        value="{{ (isset($district)) ? $district ->name : old('name') }}"
        class="form-control @error('name') border border-danger @enderror">
    @error('name') <p class="text-danger">{{ $message }}</p> @enderror
</div>

<div class="form-group">
    <label for="department">Départment</label>
    <select name="department" id="department"
        class="form-control @error('department') border border-danger @enderror" required>
        <option value="">Aucune sélection</option>
        @foreach ($departments as $department)
            <option @if (isset($district) && $district->department_id === $department->id) {{ 'selected' }}
                    @elseif (old('department')===$department->id) {{ 'selected' }} @endif 
                    value="{{ $department->id }}">{{ $department->name }}</option>
        @endforeach
    </select>
    @error('department') <p class="text-danger">{{ $message }}</p> @enderror
</div>

<div class="form-group">
    <label for="description">Description</label>
    <textarea name="description" id="description" cols="3" rows="3" autocomplete="off"
        class="form-control @error('description') border border-danger @enderror">
        {{ (isset($district)) ? $district ->description : old('description') }}
    </textarea>
    @error('description') <p class="text-danger">{{ $message }}</p> @enderror
</div>