@if ($roles !== null && $roles ->count() !== 0)
    <table class="table table-bordered table-hover" id="dt">
        <thead>
            <tr>
                <th>Nom</th>
                <th>Nom d'affiche</th>
                <th>Actions</th>
            </tr>
        </thead>
    <tbody>
        @foreach ($roles as $data)
            <tr>
                <td>{{ $data ->name }}</td>
                <td>{{ $data ->display_name }}</td>
                <td>
                    @if ($displayed === 'deleted')
                        <a data-toggle="tooltip" data-placement="top" title="Restaurer" 
                            href="{{ route('app.admin.roles.restore', ['id' => $data ->_id]) }}" 
                            class="btn btn-sm mx-1 deep-purple darken-3 white-text">
                            <i class="fa fa-fw fa-recycle"></i>
                        </a>
                        <a data-toggle="tooltip" data-placement="top" title="Supprimer définitivement"
                            href="{{ route('app.admin.roles.remove', ['id' => $data ->_id]) }}" 
                            class="btn btn-sm mx-1 deep-orange darken-4 white-text">
                            <i class="fa fa-fw fa-times"></i>
                        </a>
                    @else
                        <a data-toggle="tooltip" data-placement="top" title="Afficher" 
                            href="{{ route('app.admin.roles.show', ['id' => $data ->_id]) }}" 
                            class="btn btn-sm btn-info mx-1">
                            <i class="fa fa-fw fa-info-circle"></i>
                        </a>
                        <a data-toggle="tooltip" data-placement="top" title="Modifier"
                            href="{{ route('app.admin.roles.edit', ['id' => $data ->_id]) }}" 
                            class="btn btn-sm btn-warning mx-1">
                            <i class="fa fa-fw fa-pencil-alt"></i>
                        </a>
                        <a data-toggle="tooltip" data-placement="top" title="Supprimer"
                            href="{{ route('app.admin.roles.delete', ['id' => $data ->_id]) }}" 
                            class="btn btn-sm btn-danger mx-1">
                            <i class="fa fa-fw fa-trash-alt"></i>
                        </a>
                    @endif
                </td>
            </tr>
        @endforeach
    </tbody>
</table>
@else
    @if (isset($displayed) && $displayed === 'deleted')
        Aucune données supprimées disponibles
    @else
        Aucune données disponibles
    @endif
@endif