@csrf
<div class="form-group my-3">
    <label for="name">Nom</label>
    <input type="text" name="name" id="name" autocomplete="off" required
        value="{{ (isset($user)) ? $user ->name : old('name') }}"
        class="form-control @error('name') border border-danger @enderror">
    @error('name') <p class="text-danger">{{ $message }}</p> @enderror
</div>

<div class="form-group">
    <label for="email">Adresse email</label>
    <input type="email" name="email" id="email" autocomplete="off" required
        value="{{ (isset($user)) ? $user ->email : old('email') }}"
        class="form-control @error('email') border border-danger @enderror">
    @error('email') <p class="text-danger">{{ $message }}</p> @enderror
</div>

<div class="form-group my-3">
    <label for="role">Rôle</label>
    <select name="role" id="role" class="form-control @error('role') border border-danger @enderror">
        <option value="">Aucune sélection</option>
        @if ($roles !== null && $roles ->count() !== 0)
            @foreach ($roles as $role)
                <option @if ((isset($user)) && count($user->roles) && $user->roles[0] ->id === $role->id)
                    {{ 'selected' }}
                    @elseif (old('role') === $role->id)
                    {{ 'selected' }}
                    @endif value="{{ $role ->id }}">{{ $role ->name }}</option>
            @endforeach
        @endif
    </select>
    @error('role') <p class="text-danger">{{ $message }}</p> @enderror
</div>