
@csrf
<div class="form-group">
    <label for="name">Nom</label>
    <input type="text" name="name" id="name" autocomplete="off" required
        value="{{ (isset($votingCenter)) ? $votingCenter ->name : old('name') }}"
        class="form-control @error('name') border border-danger @enderror">
    @error('name') <p class="text-danger">{{ $message }}</p> @enderror
</div>

<div class="form-group">
    <label for="district">Arrondissement</label>
    <select name="district" id="district"
        class="form-control @error('district') border border-danger @enderror" required>
        <option value="">Aucune sélection</option>
        @foreach ($districts as $district)
            <option @if (isset($votingCenter) && $votingCenter->district_id === $district->id) {{ 'selected' }}
                    @elseif (old('district')===$district->id) {{ 'selected' }} @endif 
                    value="{{ $district->id }}">{{ $district->name }}</option>
        @endforeach
    </select>
    @error('district') <p class="text-danger">{{ $message }}</p> @enderror
</div>

<div class="form-group">
    <label for="description">Description</label>
    <textarea name="description" id="description" cols="3" rows="3" autocomplete="off"
        class="form-control @error('description') border border-danger @enderror">
        {{ (isset($votingCenter)) ? $votingCenter ->description : old('description') }}
    </textarea>
    @error('description') <p class="text-danger">{{ $message }}</p> @enderror
</div>