@extends('layouts.admin')
@section('titre')
    Ajouter les votes
@endsection
@section('header')
@endsection
@section('content')
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6">
                        <h1>Enrégistrement des résultats</h1>
                    </div>
                    <div class="col-sm-6">
                        <ol class="breadcrumb float-sm-right">
                            <li class="breadcrumb-item"><a href="index.php">Accueil</a></li>
                            <li class="breadcrumb-item active">Résultats/Enregitrements</li>
                        </ol>
                    </div>
                </div>
            </div><!-- /.container-fluid -->
        </section>

        <!-- Main content -->
        <section class="content">
            <div class="container-fluid">
                <!-- modal qui ajoute -->
                <div class="row">
                    <div class="col col-sm-12 col-md-12">

                        <div class="card card-success">
                            <div class="card-header">
                                <h3 class="card-title">ENREGISTREMENT DES RESULTATS PAR CENTRE</h3>
                            </div>
                            <div class="card-body">
                                <form action="{{ route('ajouter.vote') }}" method="POST" >
                                    @csrf
                                    <input type="hidden" name="user_id" value="{{ Auth::user()->id }}">
                                    <div class="row">
                                        <div class="col-sm-6">
                                            <!-- text input -->
                                            <div class="form-group">
                                                <label>PROVINCE</label>
                                                <select id="province" class="form-control select2" name="province_id" onchange="populate_dep(this.id, 'departement')">
                                                    <option disabled selected >--Choisir la province--</option>
                                                    @foreach($provinces as $province)
                                                        <option value="{{$province->id}}" >
                                                            {{$province->name}}
                                                        </option>
                                                    @endforeach
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                            <!-- text input -->
                                            <div class="form-group">
                                                <label>COMMUNE/DEPARTEMENT</label>
                                                <select id="departement" class="form-control select2" name="department_id"  onchange="populate_dist(this.id, 'district')" required>
                                                    <option disabled selected>--Choisissez le province--</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-sm-4">
                                            <!-- text input -->
                                            <div class="form-group">
                                                <label>DISTRICT/ARRONDISSEMENT</label>
                                                <select id="district" class="form-control select2" name="district_id"  onchange="populate_centre(this.id, 'centre')"  required>
                                                    <option disabled selected>--Choisissez le département--</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-sm-4">
                                            <!-- text input -->
                                            <div class="form-group">
                                                <label>CENTRE DE VOTE</label>
                                                <select id="centre" class="form-control select2" name="voting_center_id" required>
                                                    <option disabled selected>--Choisissez le district--</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-sm-4">
                                            <!-- text input -->
                                            <div class="form-group">
                                                <label>BUREAU DE VOTE</label>
                                                <select id="bureau" class="form-control select2" name="bureau_id"  required>
                                                    <option disabled selected>--Choisissez le district--</option>
                                                    @for($i=1; $i<=15; $i++)
                                                        <option value="{{$i}}" >Bureu N° {{$i}} </option>
                                                    @endfor
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-sm-3">
                                            <!-- text input -->
                                            <div class="form-group">
                                                <label>NOMBRE D'INSCRITS</label>
                                                <input class="form-control" name="inscrit" id="inscrit">
                                            </div>
                                        </div>
                                        <div class="col-sm-3">
                                            <!-- text input -->
                                            <div class="form-group">
                                                <label>NOMBRE DE VOTANTS</label>
                                                <input class="form-control" name="votants" id="votants" readonly>
                                            </div>
                                        </div>
                                        <div class="col-sm-3">
                                            <!-- text input -->
                                            <div class="form-group">
                                                <label>BULLETINS BLANCS</label>
                                                <input class="form-control" name="blancs" id="blancs">
                                            </div>
                                        </div>
                                        <div class="col-sm-3">
                                            <!-- text input -->
                                            <div class="form-group">
                                                <label>SUFRAGES EXPRIMES</label>
                                                <input class="form-control" name="exprimes" id="exprimes" readonly>
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                            <!-- text input -->
                                            <div class="form-group">
                                                <label>CANDIDATS</label>
                                                <select id="candidats" class="form-control select2" name="candidat_id" required>
                                                    @foreach($candidats as $candidat)
                                                        <option value="{{$candidat->id}}" >
                                                            {{$candidat->nom_params}}
                                                        </option>
                                                    @endforeach
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                            <!-- text input -->
                                            <div class="form-group">
                                                <label>NOMBRE DE VOIX OBTENUES</label>
                                                <input type="number" name = "vote" class="form-control" value="" required />
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <button type="submit" name="ajouter" class="btn btn-success float-right">
                                                <B><i class="fas fa-save"></i>&nbsp;&nbsp; SAUVEGARDER</B>
                                            </button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
@endsection

@section('footer')

    <script type="text/javascript">
        function populate_dep(s1,s2){
            var s1 = document.getElementById(s1);
            var s2 = document.getElementById(s2);
            s2.innerHTML = "";
            @php foreach($provinces as $province): @endphp
            if(s1.value == "{{ $province->id}}"){
                var optionArray = ["0| Choisir le département"
                                        @forelse ($province->departments()->orderBy('name')->get() as $departement)
                                            ,"{{$departement->id}}||{{$departement->name}}"
                                        @endforeach
                                    ];
            }
            @php endforeach; @endphp

            for(var option in optionArray){
                var pair = optionArray[option].split("||");
                var newOption = document.createElement("option");
                newOption.value = pair[0];
                newOption.innerHTML = pair[1];
                s2.options.add(newOption);
            }
        }
        function populate_dist(s1,s2){
            var s1 = document.getElementById(s1);
            var s2 = document.getElementById(s2);
            s2.innerHTML = "";
            @php foreach($departements as $departement): @endphp
            if(s1.value == "{{ $departement->id}}"){
                var optionArray = ["0| Choisir la districte"
                                        @forelse ($departement->districts()->orderBy('name')->get() as $districte)
                                            ,"{{$districte->id}}||{{$districte->name}}"
                                        @endforeach
                                    ];
            }
            @php endforeach; @endphp

            for(var option in optionArray){
                var pair = optionArray[option].split("||");
                var newOption = document.createElement("option");
                newOption.value = pair[0];
                newOption.innerHTML = pair[1];
                s2.options.add(newOption);
            }
        }
        function populate_centre(s1,s2){
            var s1 = document.getElementById(s1);
            var s2 = document.getElementById(s2);
            s2.innerHTML = "";
            @php foreach($districts as $district): @endphp
            if(s1.value == "{{ $district->id}}"){
                var optionArray = ["0| Choisir le centre"
                                        @forelse ($district->votingCenters()->orderBy('name')->get() as $centre)
                                            ,"{{$centre->id}}||{{$centre->name}}"
                                        @endforeach
                                    ];
            }
            @php endforeach; @endphp

            for(var option in optionArray){
                var pair = optionArray[option].split("||");
                var newOption = document.createElement("option");
                newOption.value = pair[0];
                newOption.innerHTML = pair[1];
                s2.options.add(newOption);
            }
        }

    </script>

@endsection
