@extends('layouts.admin')
@section('titre')
    Gestion des Provinces
@endsection
@section('header')
@endsection
@section('content')
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6">
                        <h1>GESTION DES DISTRICTS</h1>
                    </div>
                    <div class="col-sm-6">
                        <ol class="breadcrumb float-sm-right">
                            <li class="breadcrumb-item"><a href="index.php">Accueil</a></li>
                            <li class="breadcrumb-item active">Gestion des districts</li>
                        </ol>
                    </div>
                </div>
            </div><!-- /.container-fluid -->
        </section>

        <!-- Main content -->
        <section class="content">
            <div class="container-fluid">
                <!-- modal qui ajoute -->
                <div class="modal fade" id="ajouter">
                    <div class="modal-dialog modal-md">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h4 class="modal-title" style="width: 100%; text-align:center;">AJOUTER UN DISTRICT</h4>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                <form action="{{ route('ajouter.district') }}" method="POST" >
                                    @csrf
                                    <input type="hidden" name="user_id" value="{{ Auth::user()->id }}">
                                    <div class="row">
                                        <div class="col-sm-12">
                                            <!-- text input -->
                                            <div class="form-group">
                                                <label>NOM</label>
                                                <input type="text" name = "name" class="form-control" value="" required />
                                            </div>
                                        </div>
                                        <div class="col-sm-12">
                                            <!-- text input -->
                                            <div class="form-group">
                                                <label>DESCRIPTION</label>
                                                <input type="text" name = "description" class="form-control" value="" required />
                                            </div>
                                        </div>
                                        <div class="col-sm-12">
                                            <!-- text input -->
                                            <div class="form-group">
                                                <label>PROVINCE</label>
                                                <select id="province" class="form-control select2" name="province_id" onchange="populate_dep(this.id, 'departement')">
                                                    <option disabled selected >--Choisir la province--</option>
                                                    @foreach($provinces as $province)
                                                        <option value="{{$province->id}}" >
                                                            {{$province->name}}
                                                        </option>
                                                    @endforeach
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-sm-12">
                                            <!-- text input -->
                                            <div class="form-group">
                                                <label>COMMUNE/DEPARTEMENT</label>
                                                <select id="departement" class="form-control select2" name="department_id" required>
                                                    <option disabled>--Choisissez le province--</option>
                                                </select>
                                            </div>
                                        </div>
                                    </div>

                            </div>
                            <div class="modal-footer justify-content-between">
                                    <button type="button" class="btn btn-primary float-left"  style="color:white;" data-dismiss="modal"><B><i class="fas fa-undo"></i>&nbsp;&nbsp; </B></button>
                                    <button type="submit" name="ajouter" class="btn btn-success float-right">
                                        <B><i class="fas fa-save"></i>&nbsp;&nbsp; SAUVEGARDER</B>
                                    </button>
                                </form>
                            </div>
                        </div>
                    <!-- /.modal-content -->
                    </div>
                    <!-- /.modal-dialog -->
                </div>
                <!-- /.modal -->
                <!-- /.row -->

                <div class="card">
                    <div class="card-header">
                        <h3 class="card-title" style="width:100%"><span data-toggle="modal" data-target="#ajouter" title="CLIQUER POUR AJOUTER" class="float-right btn"> <i class="fas fa-plus-circle  text-primary" style="font-size:30px"></i> </span></h3>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body">
                        <div class="card-body table-responsive p-0">
                        <table id="example1" class="table table-hover table-sm table-striped">
                            <thead>
                                <tr style="text-align: center;">
                                    <th>N°</th>
                                    <th>NOM</th>
                                    <th>DESCRIPTION</th>
                                    <th>DEPARTEMENT</th>
                                    <th>PROVINCE</th>
                                    <th>ACTIONS</th>
                                </tr>
                            </thead>
                            <tbody>
                                @forelse($districts as $key => $value)
                                    <tr style="text-align: center;">
                                        <td>{{  $key+1 }}</td>
                                        <td>{{  $value->name }}</td>
                                        <td>{{  $value->description }}</td>
                                        <td>{{  $value->department->name }}</td>
                                        <td>{{  $value->department->province->name }}</td>
                                        <td>
                                            <center>
                                            <div class="btn-group">
                                                <button type="button" data-toggle="modal" data-target="#modifpart{{$value->id}}" title="CLIQUER POUR MODIFIER" class="btn btn-xs btn-outline-success">
                                                <i class="fas fa-edit "></i>
                                                </button>
                                                <button type="button" data-toggle="modal" data-target="#supprpart{{$value->id}}" title="CLIQUER POUR SUPPRIMER" class="btn btn-xs btn-outline-danger">
                                                <i class="fas fa-trash"></i>
                                                </button>
                                            </div>
                                            </center>
                                        </td>
                                    </tr>
                                    <!-- modal qui affiche la modification -->
                                        <div class="modal fade" id="modifpart{{$value->id}}">
                                            <div class="modal-dialog modal-md">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <h4 class="modal-title" style="width: 100%; text-align:center;">MODIFIER LE DISTRICT</h4>
                                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                            <span aria-hidden="true">&times;</span>
                                                        </button>
                                                    </div>
                                                    <div class="modal-body">

                                                        <form action="{{ route('modifier.district') }}" method="POST" enctype="multipart/form-data">
                                                            @csrf
                                                            <input type="hidden" name="user_id" value="{{ Auth::user()->id }}">
                                                            <input type="hidden" name="id" value="{{ $value->id }}">
                                                            <div class="row">
                                                                <div class="col-sm-12">
                                                                    <!-- text input -->
                                                                    <div class="form-group">
                                                                        <label>NOM</label>
                                                                        <input type="text" name = "name" value = "{{ $value->name }}"  class="form-control" value="" required />
                                                                    </div>
                                                                </div>
                                                                <div class="col-sm-12">
                                                                    <!-- text input -->
                                                                    <div class="form-group">
                                                                        <label>DESCRIPTION</label>
                                                                        <input type="text" name = "description"  value = "{{ $value->description }}" class="form-control" value="" required />
                                                                    </div>
                                                                </div>
                                                                <div class="col-sm-12">
                                                                    <!-- text input -->
                                                                    <div class="form-group">
                                                                        <label>PROVINCE</label>
                                                                        <select id="provincemod{{ $value->id }}"  class="form-control select2" name="province_id">
                                                                            @foreach($provinces as $province)
                                                                                <option value="{{$province->id}}" {{( $province->id==$value->province_id)?"selected":""}} >
                                                                                    {{$province->name}}
                                                                                </option>
                                                                            @endforeach
                                                                        </select>
                                                                    </div>
                                                                </div>
                                                                <div class="col-sm-12">
                                                                    <!-- text input -->
                                                                    <div class="form-group">
                                                                        <label>PROVINCE</label>
                                                                        <select id="province{{ $value->id }}" class="form-control select2" name="province_id" onchange="populate_dep(this.id, 'departement{{ $value->id }}')">
                                                                            <option disabled selected >--Choisir la province--</option>
                                                                            @foreach($provinces as $province)
                                                                                <option value="{{$province->id}}" {{( $province->id==$value->province_id)?"selected":""}} >
                                                                                    {{$province->name}}
                                                                                </option>
                                                                            @endforeach
                                                                        </select>
                                                                    </div>
                                                                </div>
                                                                <div class="col-sm-12">
                                                                    <!-- text input -->
                                                                    <div class="form-group">
                                                                        <label>COMMUNE/DEPARTEMENT</label>
                                                                        <select id="departement{{ $value->id }}" class="form-control select2" name="department_id" required>
                                                                            <option value="{{$value->departement_id}}" >{{$value->department->name}}</option>
                                                                        </select>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                    </div>
                                                    <div class="modal-footer justify-content-between">
                                                        <button type="button" class="btn btn-primary float-left"   data-dismiss="modal"><B><i class="fas fa-undo"></i>&nbsp;&nbsp; </B></button>
                                                        <button type="submit" name="modifier" class="btn btn-warning float-right">
                                                            <B><i class='fas fa-recycle'></i>&nbsp;&nbsp;APPLIQUER</B>
                                                        </button>
                                                        </form>
                                                    </div>
                                                </div>
                                            <!-- /.modal-content -->
                                            </div>
                                            <!-- /.modal-dialog -->
                                        </div>
                                    <!-- /.modal -->

                                    <!-- modal qui affiche la suppression -->
                                    <div class="modal fade" id="supprpart{{$value->id}}">
                                        <div class="modal-dialog modal-md">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h4 class="modal-title" style="width: 100%; text-align:center;">SUPPRIMER LE DISTRICT</h4>
                                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                        <span aria-hidden="true">&times;</span>
                                                    </button>
                                                </div>
                                                <div class="modal-body">
                                                    <div class="alert alert-danger" role="alert">
                                                        <h4 class="alert-heading">SUPPRESSION</h4>
                                                        <p>Souhaitez-vous supprimer définitivement cet élément de votre base de donnée ?</p>
                                                        <p class="mb-0">La suppréssion définitive est irréversible et non conseillée.</p>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-sm-12">
                                                            <!-- text input -->
                                                            <div class="form-group">
                                                                <label>NOM</label>
                                                                <input type="text" name = "name" value = "{{ $value->name }}" readonly class="form-control" value="" required />
                                                            </div>
                                                        </div>
                                                        <div class="col-sm-12">
                                                            <!-- text input -->
                                                            <div class="form-group">
                                                                <label>DESCRIPTION</label>
                                                                <input type="text" name = "description"  value = "{{ $value->description }}" readonly class="form-control" value="" required />
                                                            </div>
                                                        </div>
                                                        <div class="col-sm-12">
                                                            <!-- text input -->
                                                            <div class="form-group">
                                                                <label>PROVINCE</label>
                                                                <select id="province" disabled class="form-control select2" name="province_id">
                                                                    @foreach($provinces as $province)
                                                                        <option value="{{$province->id}}" {{($province->id==$value->province_id)?"selected":""}} >
                                                                            {{$province->name}}
                                                                        </option>
                                                                    @endforeach
                                                                </select>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                    <div class="modal-footer justify-content-between">
                                                    <div class="col col-md-2">
                                                        <button type="button" class="btn btn-primary float-left"  data-dismiss="modal"><B><i class="fas fa-undo"></i>&nbsp;&nbsp; </B></button>
                                                    </div>
                                                    <div class="col col-md-4">

                                                    <form action="{{ route('supprimer.district') }}" method="POST" enctype="multipart/form-data">
                                                            @csrf
                                                            <input type="hidden" name="id" value="{{ $value->id }}">
                                                            <button type="submit" class="btn btn-danger float-right">
                                                                <B><i class="fas fa-trash-alt"></i>&nbsp;&nbsp;CONFIRMER</B>
                                                            </button>
                                                        </a>
                                                    </form>
                                                    </div>
                                                </div>
                                            </div>
                                        <!-- /.modal-content -->
                                        </div>
                                        <!-- /.modal-dialog -->
                                    </div>
                                    <!-- /.modal -->
                                @empty
                                    <tr>
                                        <td colspan="5">
                                            <center><i>Aucune donnée trouvée !</i></center>
                                        </td>
                                    </tr>
                                @endforelse
                            </tbody>
                        </table>
                        </div>
                    </div>
                    <!-- /.card-body -->
                    </div>
                    <!-- /.card -->
            </div><!-- /.container-fluid -->
        </section>
@endsection

@section('footer')

    <script type="text/javascript">
        function populate_dep(s1,s2){
            var s1 = document.getElementById(s1);
            var s2 = document.getElementById(s2);
            s2.innerHTML = "";
            @php foreach($provinces as $province): @endphp
            if(s1.value == "{{ $province->id}}"){
                var optionArray = ["0| Choisir le département"
                                        @forelse ($province->departments()->orderBy('name')->get() as $departement)
                                            ,"{{$departement->id}}||{{$departement->name}}"
                                        @endforeach
                                    ];
            }
            @php endforeach; @endphp

            for(var option in optionArray){
                var pair = optionArray[option].split("||");
                var newOption = document.createElement("option");
                newOption.value = pair[0];
                newOption.innerHTML = pair[1];
                s2.options.add(newOption);
            }
        }
    </script>
@endsection
