@extends('layouts.admin')
@section('header')


  <!-- Tempusdominus Bootstrap 4 -->
  <link rel="stylesheet" href="{{ asset('Paoul/plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css') }}">
  <!-- iCheck -->
  <link rel="stylesheet" href="{{ asset('Paoul/plugins/icheck-bootstrap/icheck-bootstrap.min.css') }}">
  <!-- JQVMap -->
  <link rel="stylesheet" href="{{ asset('Paoul/plugins/jqvmap/jqvmap.min.css') }}">
  <!-- Daterange picker -->
  <link rel="stylesheet" href="{{ asset('Paoul/plugins/daterangepicker/daterangepicker.css') }}">
  <!-- summernote -->
  <link rel="stylesheet" href="{{ asset('Paoul/plugins/summernote/summernote-bs4.min.css') }}">

@endsection
@section('content')
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6">
                        <h1>GESTION DES DONNEES</h1>
                    </div>
                    <div class="col-sm-6">
                        <ol class="breadcrumb float-sm-right">
                            <li class="breadcrumb-item"><a href="index.php">Accueil</a></li>
                            <li class="breadcrumb-item active">Gestion des données</li>
                        </ol>
                    </div>
                </div>
            </div><!-- /.container-fluid -->
        </section>

        <!-- Main content -->
        <section class="content">
            <div class="container-fluid">
                <!-- modal qui ajoute -->
                <div class="modal fade" id="ajouter">
                    <div class="modal-dialog modal-xl">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h4 class="modal-title" style="width: 100%; text-align:center;">AJOUTER UNE NOUVELLE DONNEE</h4>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                <form action="{{ route('ajouter.parametres.ks') }}" method="POST" >
                                    @csrf
                                    <input type="hidden" name="user_id" value="{{ Auth::user()->id }}">
                                    <div class="row">
                                        <div class="col-sm-3">
                                            <!-- text input -->
                                            <div class="form-group">
                                                <label>CODE</label>
                                                <input type="text" name = "cd_params" class="form-control" value="" required />
                                            </div>
                                        </div>
                                        <div class="col-sm-3">
                                            <!-- text input -->
                                            <div class="form-group">
                                                <label>LIBELLE</label>
                                                <input type="text" name = "nom_params" class="form-control" value="" required />
                                            </div>
                                        </div>
                                        <div class="col-sm-3">
                                            <!-- text input -->
                                            <div class="form-group">
                                                <label>TYPE DE DONNEE ASSOCIE</label>
                                                <select name = "tparam_id" id="selectTParams" class="form-control select2" required >
                                                    @foreach ($tparams as $key => $value)
                                                        <option value="{{ $value->id }}">{{ $value->nom_tparams }}</option>
                                                    @endforeach
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-sm-3">
                                            <!-- text input -->
                                            <div class="form-group">
                                                <label>DONNEE PARENT</label>
                                                <select name = "params_parent" id="selectAffectPerso" class="form-control select2" required >
                                                    @foreach ($params as $key => $value)
                                                        <option value="{{ $value->id }}">{{ $value->nom_params }}</option>
                                                    @endforeach
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-sm-12">
                                            <!-- text input -->
                                            <div class="form-group">
                                                <label>OBSERVATIONS</label>
                                                <input type="text" name = "obs_params" class="form-control" value="" />
                                            </div>
                                        </div>
                                    </div>

                            </div>
                            <div class="modal-footer justify-content-between">
                                    <button type="button" class="btn btn-primary float-left"  style="color:white;" data-dismiss="modal"><B><i class="fas fa-undo"></i>&nbsp;&nbsp; RETOURNER</B></button>
                                    <button type="submit" name="ajouter" class="btn btn-success float-right">
                                        <B><i class="fas fa-save"></i>&nbsp;&nbsp; SAUVEGARDER</B>
                                    </button>
                                </form>
                            </div>
                        </div>
                    <!-- /.modal-content -->
                    </div>
                    <!-- /.modal-dialog -->
                </div>
                <!-- /.modal -->
                <!-- /.row -->

                <div class="card">
                    <div class="card-header">
                        <h3 class="card-title" style="width:100%"><span data-toggle="modal" data-target="#ajouter" title="CLIQUER POUR AJOUTER" class="float-right btn"> <i class="fas fa-plus-circle  text-primary" style="font-size:30px"></i> </span></h3>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body">
                        <div class="card-body table-responsive p-0">
                        <table id="example1" class="table table-hover table-striped">
                            <thead>
                                <tr style="text-align: center;">
                                    <th>N°</th>
                                    <th>CODE</th>
                                    <th>LIBELLE</th>
                                    <th>TYPES</th>
                                    <th>ACTIONS</th>
                                </tr>
                            </thead>
                            <tbody>
                                @forelse($params as $key => $value)
                                    <tr style="text-align: center;">
                                        <td>{{  $key+1 }}</td>
                                        <td>{{  $value->cd_params }}</td>
                                        <td>{{  $value->nom_params }}</td>
                                        <td>{{  $value->tparam->nom_tparams }}</td>
                                        <td>
                                            <center>
                                            <div class="btn-group">
                                                <button type="button" data-toggle="modal" data-target="#consultpart{{$value->id}}" title="CLIQUER POUR CONSULTER" class="btn btn-outline-info">
                                                <i class="fas fa-eye "></i>
                                                </button>
                                                <button type="button" data-toggle="modal" data-target="#modifpart{{$value->id}}" title="CLIQUER POUR MODIFIER" class="btn btn-outline-success">
                                                <i class="fas fa-edit "></i>
                                                </button>
                                                <button type="button" data-toggle="modal" data-target="#supprpart{{$value->id}}" title="CLIQUER POUR SUPPRIMER" class="btn btn-outline-danger">
                                                <i class="fas fa-trash"></i>
                                                </button>
                                            </div>
                                            </center>
                                        </td>
                                    </tr>
                                    <!-- modal qui affiche les détails -->
                                    <div class="modal fade" id="consultpart{{ $value->id }}">
                                        <div class="modal-dialog modal-xl">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h4 class="modal-title" style="width: 100%; text-align:center;">DETAILS SUR LA DONNEE</h4>
                                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                        <span aria-hidden="true">&times;</span>
                                                    </button>
                                                </div>
                                                <div class="modal-body">
                                                    <div class="row">
                                                        <div class="col-sm-3">
                                                            <!-- text input -->
                                                            <div class="form-group">
                                                                <label>CODE</label>
                                                                <input type="text" name = "cd_params" value = "{{ $value->cd_params }}" readonly class="form-control" value="" required />
                                                            </div>
                                                        </div>
                                                        <div class="col-sm-3">
                                                            <!-- text input -->
                                                            <div class="form-group">
                                                                <label>LIBELLE</label>
                                                                <input type="text" name = "nom_params"  value = "{{ $value->nom_params }}" readonly class="form-control" value="" required />
                                                            </div>
                                                        </div>
                                                        <div class="col-sm-3">
                                                            <!-- text input -->
                                                            <div class="form-group">
                                                                <label>TYPE DE DONNEE ASSOCIEE</label>
                                                                <select name = "tparam_id" id="selectFctPerso" disabled class="form-control select2" required >
                                                                    @foreach ($tparams as $key => $v)
                                                                        <option value="{{ $v->id }}" <?= ($v->id==$value->tparam_id)?"selected":"" ?> >{{ $v->nom_tparams }}</option>
                                                                    @endforeach
                                                                </select>
                                                            </div>
                                                        </div>
                                                        <div class="col-sm-3">
                                                            <!-- text input -->
                                                            <div class="form-group">
                                                                <label>DONNEE PARENT</label>
                                                                <select name = "params_parent" id="selectAffectPerso" disabled class="form-control select2" required >
                                                                    @foreach ($params as $key => $v)
                                                                        <option value="{{ $v->id }}"  <?= ($v->id==$value->parent)?"selected":"" ?>>{{ $v->nom_params }}</option>
                                                                    @endforeach
                                                                </select>
                                                            </div>
                                                        </div>
                                                        <div class="col-sm-12">
                                                            <!-- text input -->
                                                            <div class="form-group">
                                                                <label>OBSERVATIONS</label>
                                                                <input type="text" name = "obs_params"  value = "{{ $value->obs_params }}" readonly class="form-control" value="" />
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <!-- /.row -->
                                                </div>
                                                <div class="modal-footer justify-content-between">
                                                    <button type="button" class="btn btn-block btn-primary float-left"   data-dismiss="modal"><B><i class="fas fa-undo"></i>&nbsp;&nbsp; RETOURNER</B></button>
                                                </div>
                                            </div>
                                        <!-- /.modal-content -->
                                        </div>
                                        <!-- /.modal-dialog -->
                                    </div>
                                    <!-- /.modal -->
                                    <!-- modal qui affiche la modification -->
                                        <div class="modal fade" id="modifpart{{$value->id}}">
                                            <div class="modal-dialog modal-xl">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <h4 class="modal-title" style="width: 100%; text-align:center;">MODIFIER LA DONNEE</h4>
                                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                            <span aria-hidden="true">&times;</span>
                                                        </button>
                                                    </div>
                                                    <div class="modal-body">

                                                        <form action="{{ route('modifier.parametre.ks') }}" method="POST" enctype="multipart/form-data">
                                                            @csrf
                                                            <input type="hidden" name="user_id" value="{{ Auth::user()->id }}">
                                                            <input type="hidden" name="id" value="{{ $value->id }}">

                                                            <div class="row">
                                                                <div class="col-sm-3">
                                                                    <!-- text input -->
                                                                    <div class="form-group">
                                                                        <label>CODE</label>
                                                                        <input type="text" name = "cd_params" value = "{{ $value->cd_params }}"  class="form-control" value="" required />
                                                                    </div>
                                                                </div>
                                                                <div class="col-sm-3">
                                                                    <!-- text input -->
                                                                    <div class="form-group">
                                                                        <label>LIBELLE</label>
                                                                        <input type="text" name = "nom_params"  value = "{{ $value->nom_params }}" class="form-control" value="" required />
                                                                    </div>
                                                                </div>
                                                                <div class="col-sm-3">
                                                                    <!-- text input -->
                                                                    <div class="form-group">
                                                                        <label>TYPE DE DONNEE ASSOCIEE</label>
                                                                        <select name = "tparam_id" id="selectFctPerso" class="form-control select2" required >
                                                                            @foreach ($tparams as $key => $v)
                                                                                <option value="{{ $v->id }}" <?= ($v->id==$value->tparam_id)?"selected":"" ?> >{{ $v->nom_tparams }}</option>
                                                                            @endforeach
                                                                        </select>
                                                                    </div>
                                                                </div>
                                                                <div class="col-sm-3">
                                                                    <!-- text input -->
                                                                    <div class="form-group">
                                                                        <label>DONNEE PARENT</label>
                                                                        <select name = "params_parent" id="selectAffectPerso" class="form-control select2" required >
                                                                            @foreach ($params as $key => $v)
                                                                                <option value="{{ $v->id }}"  <?= ($v->id==$value->parent)?"selected":"" ?>>{{ $v->nom_params }}</option>
                                                                            @endforeach
                                                                        </select>
                                                                    </div>
                                                                </div>
                                                                <div class="col-sm-12">
                                                                    <!-- text input -->
                                                                    <div class="form-group">
                                                                        <label>OBSERVATIONS</label>
                                                                        <input type="text" name = "obs_params"  value = "{{ $value->obs_params }}" class="form-control" value="" />
                                                                    </div>
                                                                </div>
                                                            </div>
                                                    </div>
                                                    <div class="modal-footer justify-content-between">
                                                        <button type="button" class="btn btn-primary float-left"   data-dismiss="modal"><B><i class="fas fa-undo"></i>&nbsp;&nbsp; RETOURNER</B></button>
                                                        <button type="submit" name="modifier" class="btn btn-warning float-right">
                                                            <B><i class='fas fa-recycle'></i>&nbsp;&nbsp;APPLIQUER</B>
                                                        </button>
                                                        </form>
                                                    </div>
                                                </div>
                                            <!-- /.modal-content -->
                                            </div>
                                            <!-- /.modal-dialog -->
                                        </div>
                                    <!-- /.modal -->

                                    <!-- modal qui affiche la suppression -->
                                    <div class="modal fade" id="supprpart{{$value->id}}">
                                        <div class="modal-dialog modal-xl">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h4 class="modal-title" style="width: 100%; text-align:center;">SUPPRIMER LE TYPE DE DONNEE</h4>
                                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                        <span aria-hidden="true">&times;</span>
                                                    </button>
                                                </div>
                                                <div class="modal-body">
                                                    <div class="alert alert-danger" role="alert">
                                                        <h4 class="alert-heading">SUPPRESSION</h4>
                                                        <p>Souhaitez-vous supprimer définitivement cet élément de votre base de donnée ?</p>
                                                        <p class="mb-0">La suppréssion définitive est irréversible et non conseillée.</p>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-sm-3">
                                                            <!-- text input -->
                                                            <div class="form-group">
                                                                <label>CODE</label>
                                                                <input type="text" name = "cd_params" value = "{{ $value->cd_params }}" readonly class="form-control" value="" required />
                                                            </div>
                                                        </div>
                                                        <div class="col-sm-3">
                                                            <!-- text input -->
                                                            <div class="form-group">
                                                                <label>LIBELLE</label>
                                                                <input type="text" name = "nom_params"  value = "{{ $value->nom_params }}" readonly class="form-control" value="" required />
                                                            </div>
                                                        </div>
                                                        <div class="col-sm-3">
                                                            <!-- text input -->
                                                            <div class="form-group">
                                                                <label>TYPE DE DONNEE ASSOCIEE</label>
                                                                <select name = "tparam_id" id="selectFctPerso" disabled class="form-control select2" required >
                                                                    @foreach ($tparams as $key => $v)
                                                                        <option value="{{ $v->id }}" <?= ($v->id==$value->tparam_id)?"selected":"" ?> >{{ $v->nom_tparams }}</option>
                                                                    @endforeach
                                                                </select>
                                                            </div>
                                                        </div>
                                                        <div class="col-sm-3">
                                                            <!-- text input -->
                                                            <div class="form-group">
                                                                <label>DONNEE PARENT</label>
                                                                <select name = "params_parent" id="selectAffectPerso" disabled class="form-control select2" required >
                                                                    @foreach ($params as $key => $v)
                                                                        <option value="{{ $v->id }}"  <?= ($v->id==$value->parent)?"selected":"" ?>>{{ $v->nom_params }}</option>
                                                                    @endforeach
                                                                </select>
                                                            </div>
                                                        </div>
                                                        <div class="col-sm-12">
                                                            <!-- text input -->
                                                            <div class="form-group">
                                                                <label>OBSERVATIONS</label>
                                                                <input type="text" name = "obs_params"  value = "{{ $value->obs_params }}" readonly class="form-control" value="" />
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                    <div class="modal-footer justify-content-between">
                                                    <div class="col col-md-2">
                                                        <button type="button" class="btn btn-primary float-left"  data-dismiss="modal"><B><i class="fas fa-undo"></i>&nbsp;&nbsp; RETOURNER</B></button>
                                                    </div>
                                                    <div class="col col-md-4">

                                                    <form action="{{ route('supprimer.parametres.ks') }}" method="POST" enctype="multipart/form-data">
                                                            @csrf
                                                            <input type="hidden" name="id" value="{{ $value->id }}">
                                                            <button type="submit" class="btn btn-danger float-right">
                                                                <B><i class="fas fa-trash-alt"></i>&nbsp;&nbsp;CONFIRMER</B>
                                                            </button>
                                                        </a>
                                                    </form>
                                                    </div>
                                                </div>
                                            </div>
                                        <!-- /.modal-content -->
                                        </div>
                                        <!-- /.modal-dialog -->
                                    </div>
                                    <!-- /.modal -->
                                @empty
                                    <tr>
                                        <td colspan="5">
                                            <center><i>Aucune donnée trouvée !</i></center>
                                        </td>
                                    </tr>
                                @endforelse
                            </tbody>
                        </table>
                        </div>
                    </div>
                    <!-- /.card-body -->
                    </div>
                    <!-- /.card -->
            </div><!-- /.container-fluid -->
        </section>
    <!-- /.content-wrapper -->
    <script>
      $(function () {
         $(".tab_list_params").DataTable({
             "pageLength": 5,
              "lengthMenu": [[5,10, 25, 50, -1], [5, 10, 25, 50, "Toutes"]]
         });

			$(".dataTables_filter").eq(0).append(
				'&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<center style="display:inline-block;width: 50px;margin: 0 auto;padding: 5px 7px;border-radius: 15px;background: #ecf0f5;box-shadow: 0 0 5px #adc5e4;"><a type="button" data-toggle="modal" data-target="#ajouter" title ="AJOUTER UNE NOUVELLE DONNEE" style="box-shadow: none;"><i class="fa fa-plus-circle text-primary" style="font-size: x-large;"></i></a></center>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'
			);
			$(".dataTables_wrapper").prepend('&nbsp; &nbsp;<BR />')
	  });

</script>

@endsection

@section('footer')
  <!-- ChartJS -->
  <script src="{{ asset('Paoul/plugins/chart.js/Chart.min.js') }}"></script>
  <!-- Sparkline -->
  <script src="{{ asset('Paoul/plugins/sparklines/sparkline.js') }}"></script>
  <!-- JQVMap -->
  <script src="{{ asset('Paoul/plugins/jqvmap/jquery.vmap.min.js') }}"></script>
  <script src="{{ asset('Paoul/plugins/jqvmap/maps/jquery.vmap.usa.js') }}"></script>
  <!-- jQuery Knob Chart -->
  <script src="{{ asset('Paoul/plugins/jquery-knob/jquery.knob.min.js') }}"></script>
  <!-- daterangepicker -->
  <script src="{{ asset('Paoul/plugins/moment/moment.min.js') }}"></script>
  <script src="{{ asset('Paoul/plugins/daterangepicker/daterangepicker.js') }}"></script>
  <!-- Tempusdominus Bootstrap 4 -->
  <script src="{{ asset('Paoul/plugins/tempusdominus-bootstrap-4/js/tempusdominus-bootstrap-4.min.js') }}"></script>
  <!-- Summernote -->
  <script src="{{ asset('Paoul/plugins/summernote/summernote-bs4.min.js') }}"></script>
  <!-- overlayScrollbars -->
  <script src="{{ asset('Paoul/plugins/overlayScrollbars/js/jquery.overlayScrollbars.min.js') }}"></script>
@endsection
