@extends('layouts.admin')
@section('titre')
    Etat Général
@endsection
@section('content')
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6">
                        <h1><b><i class="fas fa-shart"></i></b> Etat Par Bureau</h1>
                    </div>
                    <div class="col-sm-6">
                        <ol class="breadcrumb float-sm-right">
                            <li class="breadcrumb-item"><a href="/">Accueil</a></li>
                            <li class="breadcrumb-item active">Reporting/Bureau</li>
                        </ol>
                    </div>
                </div>
            </div>
        </section>

        <!-- Main content -->
        <section class="content">
            <div class="container-fluid">
                <div class="row">
                    <!-- /.card-header -->
                    <div class="col-md-12">
                        @foreach($provinces as $province)
                        @if($province->resultats()->sum('vote')!=0)
                        <div class="card card-success">
                            <div class="card-header">
                                <h3 class="card-title"> {{$province->name}} </h3>

                                <div class="card-tools">
                                  <button type="button" class="btn btn-tool" data-card-widget="collapse">
                                    <i class="fas fa-minus"></i>
                                  </button>
                                  <button type="button" class="btn btn-tool" data-card-widget="remove">
                                    <i class="fas fa-times"></i>
                                  </button>
                                </div>
                            </div>
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-md-12">
                                    @foreach($province->departments()->orderBy('name')->get() as $departement)
                                        @if($departement->resultats()->sum('vote')!=0)
                                            <h2>Département/Communes: {{$departement->name}} </h2>
                                            @foreach($departement->districts()->orderBy('name')->get() as $district)
                                                @if($district->resultats()->sum('vote')!=0)
                                                    <h2>Arrondissement/Canton: {{$district->name}} </h2>
                                                    @foreach($district->votingCenters()->orderBy('name')->get() as $centre)
                                                        @if($centre->resultats()->sum('vote')!=0)
                                                            <h2>Centre: {{$centre->name}} </h2>
                                                            @foreach($centre->bureaus()->orderBy('numero')->get() as $bureau)
                                                                @if($bureau->resultats()->sum('vote')!=0)
                                                                    <h2> Bureau N°{{$bureau->numero}} </h2>
                                                                    <table id="table2" class="table  table-hover table-sm table-striped">
                                                                        <thead>
                                                                            <tr style="text-align: center;">
                                                                                <th>N°</th>
                                                                                <th>CANDIDATS</th>
                                                                                <th>INSCRITS</th>
                                                                                <th>VOTANTS</th>
                                                                                <th>BULLETINS BLANC</th>
                                                                                <th>SUFRAGES EXPRIMES</th>
                                                                                <th>VOIX OBTENUES</th>
                                                                                <th>POURCENTAGE</th>
                                                                            </tr>
                                                                        </thead>
                                                                        <tbody>
                                                                            @forelse($candidats as $key => $value)
                                                                                <tr style="text-align: center;">
                                                                                    <td>{{  $key+1 }}</td>
                                                                                    <td style="text-align: left;" >{{  $value->nom_params }}</td>
                                                                                    <td> {{$bureau->inscrit}} </td>
                                                                                    <td> {{$bureau->votants}} </td>
                                                                                    <td> {{$bureau->blancs}} </td>
                                                                                    <td> {{$bureau->resultats()->sum('vote')}} </td>
                                                                                    <td> {{$bureau->resultats()->where('candidat_id', $value->id)->sum('vote')}} </td>
                                                                                    <td> {{$bureau->pourcentage($value->id)}}% </td>
                                                                                </tr>
                                                                            @empty
                                                                                <tr>
                                                                                    <td colspan="5">
                                                                                        <center><i>Aucune donnée trouvée !</i></center>
                                                                                    </td>
                                                                                </tr>
                                                                            @endforelse
                                                                        </tbody>
                                                                    </table>
                                                                @endif
                                                            @endforeach
                                                        @endif
                                                    @endforeach
                                                @endif
                                            @endforeach
                                        @endif
                                    @endforeach
                                    </div>
                                </div>
                            </div>
                        </div>
                        @endif
                        @endforeach
                    </div>
                </div>
            </div>
        </section>

@endsection

@section('footer')
    
    <!-- ChartJS -->
    <script src="{{ asset('Paoul/plugins/chart.js/Chart.min.js') }}"></script>
     
@endsection
