@extends('layouts.admin')
@section('titre')
    Etat Général
@endsection
@section('content')
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6">
                        <h1><b><i class="fas fa-shart"></i></b> Etat Par Provinces</h1>
                    </div>
                    <div class="col-sm-6">
                        <ol class="breadcrumb float-sm-right">
                            <li class="breadcrumb-item"><a href="/">Accueil</a></li>
                            <li class="breadcrumb-item active">Reporting/Province</li>
                        </ol>
                    </div>
                </div>
            </div>
        </section>

        <!-- Main content -->
        <section class="content">
            <div class="container-fluid">
                <div class="row">
                    <!-- /.card-header -->
                    <div class="col-md-12">
                        <div class="card card-success">
                            <div class="card-header">
                                <h3 class="card-title">BILAN PAR PROVINCE</h3>

                                <div class="card-tools">
                                  <button type="button" class="btn btn-tool" data-card-widget="collapse">
                                    <i class="fas fa-minus"></i>
                                  </button>
                                  <button type="button" class="btn btn-tool" data-card-widget="remove">
                                    <i class="fas fa-times"></i>
                                  </button>
                                </div>
                            </div>
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="chart">
                                          <canvas id="stackedBarChart" style="min-height: 250px; height: 250px; max-height: 250px; max-width: 100%;"></canvas>
                                        </div> 
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="card card-success">
                            <div class="card-header">
                                <h3 class="card-title">RESULTATS FINAUX PAR PROVINCES</h3>

                                <div class="card-tools">
                                  <button type="button" class="btn btn-tool" data-card-widget="collapse">
                                    <i class="fas fa-minus"></i>
                                  </button>
                                  <button type="button" class="btn btn-tool" data-card-widget="remove">
                                    <i class="fas fa-times"></i>
                                  </button>
                                </div>
                            </div>
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="">
                                        <table id="table2" class="table  table-hover table-sm table-striped">
                                            <thead>
                                                <tr style="text-align: center;">
                                                    <th>N°</th>
                                                    <th>CANDIDATS</th>
                                                    @foreach($provinces as $province)
                                                    <th> {{$province->name}} </th>
                                                    @endforeach
                                                    <th>VOIX OBTENUES</th>
                                                    <th>POURCENTAGE</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                @forelse($candidats as $key => $value)
                                                    <tr style="text-align: center;">
                                                        <td>{{  $key+1 }}</td>
                                                        <td style="text-align: left;" >{{  $value->nom_params }}</td>
                                                        @foreach($provinces as $province)
                                                        <td> {{$province->resultats()->where('candidat_id', $value->id)->sum('vote')}} </td>
                                                        @endforeach
                                                        <td> {{$value->total_vote}} </td>
                                                        <td> {{$value->pourcentage}}% </td>
                                                    </tr>
                                                @empty
                                                    <tr>
                                                        <td colspan="5">
                                                            <center><i>Aucune donnée trouvée !</i></center>
                                                        </td>
                                                    </tr>
                                                @endforelse
                                            </tbody>
                                        </table> 
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="card card-danger">
                            <div class="card-header">
                                <h3 class="card-title">REPARTITION PAR PROVINCES DES SUFRAGES EXPRIMES</h3>
                                <div class="card-tools">
                                  <button type="button" class="btn btn-tool" data-card-widget="collapse">
                                    <i class="fas fa-minus"></i>
                                  </button>
                                  <button type="button" class="btn btn-tool" data-card-widget="remove">
                                    <i class="fas fa-times"></i>
                                  </button>
                                </div>
                            </div>
                            <div class="card-body">
                                <canvas id="pieChart" style="min-height: 250px; height: 250px; max-height: 250px; max-width: 100%;"></canvas>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>

@endsection

@section('footer')
    
    <!-- ChartJS -->
    <script src="{{ asset('Paoul/plugins/chart.js/Chart.min.js') }}"></script>
     <script>
        $(function () {

            
            var donutData        = {
              labels: [ @foreach($provinces as $province) '<?= $province->name ?>', @endforeach
              ],
              datasets: [
                {
                  data: [@foreach($provinces as $province) <?= $province->resultats()->sum('vote') ?>, @endforeach],
                  backgroundColor :  ['#DB4E04','#00a65a', '#f39c12', '#00c0ef', '#3c8dbc', '#d2d6de', '#071659', '#075955', '#E5E10B', '#AD1F01', '#72086F', '#1B3925'],
                }
              ]
            }

            //-------------
            //- PIE CHART -
            //-------------
            // Get context with jQuery - using jQuery's .get() method.
            var pieChartCanvas = $('#pieChart').get(0).getContext('2d')
            var pieData        = donutData;
            var pieOptions     = {
              maintainAspectRatio : false,
              responsive : true,
            }
            //Create pie or douhnut chart
            // You can switch between pie and douhnut using the method below.
            new Chart(pieChartCanvas, {
              type: 'pie',
              data: pieData,
              options: pieOptions
            })


            @php 

                $couleur = ['#DB4E04','#00a65a', '#f39c12', '#00c0ef', '#3c8dbc', '#d2d6de', '#071659', '#075955', '#E5E10B', '#AD1F01', '#72086F', '#1B3925'];
            @endphp
            //-------------
            //- BAR CHART -
            //-------------
            var areaChartData = {
              labels  : [@foreach($candidats as $candidat) '<?= $candidat->cd_params ?>', @endforeach],
              datasets: [
                @foreach($provinces as $k => $province)
                {
                  label               : '<?= $province->name ?>',
                  backgroundColor     : '<?= $couleur[$k] ?>',
                  borderColor         : 'rgba(60,141,188,0.8)',
                  pointRadius          : false,
                  pointColor          : '#3b8bba',
                  pointStrokeColor    : 'rgba(60,141,188,1)',
                  pointHighlightFill  : '#fff',
                  pointHighlightStroke: 'rgba(60,141,188,1)',
                  data                : [@foreach($candidats as $candidat) <?= $candidat->resultats()->where('province_id', $province->id)->sum('vote') ?>, @endforeach]
                },
                @endforeach
              ]
            }

            var areaChartOptions = {
              maintainAspectRatio : false,
              responsive : true,
              legend: {
                display: false
              },
              scales: {
                xAxes: [{
                  gridLines : {
                    display : false,
                  }
                }],
                yAxes: [{
                  gridLines : {
                    display : false,
                  }
                }]
              }
            }

            var barChartData = $.extend(true, {}, areaChartData)
            var temp0 = areaChartData.datasets[0]
            var temp1 = areaChartData.datasets[1]
            barChartData.datasets[0] = temp1
            barChartData.datasets[1] = temp0


            //---------------------
            //- STACKED BAR CHART -
            //---------------------
            var stackedBarChartCanvas = $('#stackedBarChart').get(0).getContext('2d')
            var stackedBarChartData = $.extend(true, {}, barChartData)

            var stackedBarChartOptions = {
              responsive              : true,
              maintainAspectRatio     : false,
              scales: {
                xAxes: [{
                  stacked: true,
                }],
                yAxes: [{
                  stacked: true
                }]
              }
            }

            new Chart(stackedBarChartCanvas, {
              type: 'bar',
              data: stackedBarChartData,
              options: stackedBarChartOptions
            })
            //////////////////////////////////////////
            // repartition par poste
            ///////////////////////////////////////////
            


            //---------------------
            //- STACKED BAR CHART -
            //---------------------
            var stackedBarChartCanvasPoste = $('#stackedBarChart2').get(0).getContext('2d')
            var stackedBarChartDataPoste = $.extend(true, {}, barChartDataPoste)

            var stackedBarChartOptionsPoste = {
              responsive              : true,
              maintainAspectRatio     : false,
              scales: {
                xAxes: [{
                  stacked: true,
                }],
                yAxes: [{
                  stacked: true
                }]
              }
            }

            new Chart(stackedBarChartCanvasPoste, {
              type: 'bar',
              data: stackedBarChartDataPoste,
              options: stackedBarChartOptionsPoste
            })
        })
    </script>
@endsection
