<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('auth.login'); 
});
Route::middleware([
    'auth:sanctum',
    config('jetstream.auth_session'),
    'verified',
])->group(function () {
    Route::get('/dashboard', function () {
        return view('admin');
    })->name('dashboard');

    // tableau de bord
        // Route::get('/dashboard', 'App\Http\Controllers\HomeController@index')->name('dashboard');

    // gestion des types de parametres
        Route::get('/Parametrages/Types', 'App\Http\Controllers\TparamsController@index')->name('Gestion des Types de Données');
        Route::post('ajouter.TypeParametre', 'App\Http\Controllers\TparamsController@store')->name('ajouter.TypeParametre');
        Route::post('modifier.TypeParametre', 'App\Http\Controllers\TparamsController@update')->name('modifier.TypeParametre');
        Route::post('supprimer.TypeParametre', 'App\Http\Controllers\TparamsController@delete')->name('supprimer.TypeParametre');

    // gestion des parametres
        Route::get('/Parametrages/Donnes', 'App\Http\Controllers\ParamsController@index')->name('Gestion des Données');
        Route::get('/Parametrages/Donnes/{id}', 'App\Http\Controllers\ParamsController@donnees_type')->name("Gestion des Données d'un type.");
        Route::post('ajouter.Parametre', 'App\Http\Controllers\ParamsController@store')->name('ajouter.Parametre');
        Route::post('modifierPprametre', 'App\Http\Controllers\ParamsController@update')->name('modifierPprametre');
        Route::post('supprimer.Parametre', 'App\Http\Controllers\ParamsController@delete')->name('supprimer.Parametre');

    // gestion  de roles
        Route::get('/Administration/Roles', 'App\Http\Controllers\HabilitationsController@index')->name('Gestion des rôles');
        Route::post('ajouter.roles', 'App\Http\Controllers\HabilitationsController@store')->name('ajouter.roles');
        Route::post('modifier.roles', 'App\Http\Controllers\HabilitationsController@update')->name('modifier.roles');
        Route::post('supprimer.roles', 'App\Http\Controllers\HabilitationsController@delete')->name('supprimer.roles');

    // gestion des types de profil
        Route::get('/Administration/Profils', 'App\Http\Controllers\ProfilsutilisateursController@index')->name('Gestion des rôles');
        Route::get('/Administration/Profils/{id}', 'App\Http\Controllers\ProfilsutilisateursController@show')->name('Attribuer les habilitations des profils');
        Route::post('ajouter.profil.habilitation', 'App\Http\Controllers\HabilitationUserController@store')->name('ajouter.profil.habilitation');
        Route::post('ajouter.profil.user', 'App\Http\Controllers\ProfilsutilisateursController@store')->name('ajouter.profil.user');
        Route::post('modifier.profil.user', 'App\Http\Controllers\ProfilsutilisateursController@update')->name('modifier.profil.user');
        Route::post('supprimer.profil.user', 'App\Http\Controllers\ProfilsutilisateursController@delete')->name('supprimer.profil.user');

    // gestion des  Habilitations
        Route::get('/Administration/Habilitations', 'App\Http\Controllers\HabilitationsController@index')->name('Gestion des rôles');
        Route::post('ajouter.habilitations', 'App\Http\Controllers\HabilitationsController@store')->name('ajouter.habilitations');
        Route::post('modifier.habilitations', 'App\Http\Controllers\HabilitationsController@update')->name('modifier.habilitations');
        Route::post('supprimer.habilitations', 'App\Http\Controllers\HabilitationsController@delete')->name('supprimer.habilitations');

    // gestion des utilisateurs
        Route::get('/Administration/Utilisateurs', 'App\Http\Controllers\UserController@index')->name('Gestion des utilisateur');
        Route::get('/Administration/Utilisateur/{id}/Détails', 'App\Http\Controllers\UserController@show')->name('Profil utilisateur');
        Route::get('/Utilisateur/Modifier-le-mot-de-passe', 'App\Http\Controllers\UserController@changermdp')->name('Modifier-le-mot-de-passe');
        Route::post('defaut.motdepasse', 'App\Http\Controllers\UserController@modif_default_mdp')->name('defaut.motdepasse');
        Route::post('ajouter.utilisateurs', 'App\Http\Controllers\UserController@store')->name('ajouter.utilisateurs');
        Route::post('modifier.utilisateurs', 'App\Http\Controllers\UserController@update')->name('modifier.utilisateurs');
        Route::post('supprimer.utilisateurs', 'App\Http\Controllers\UserController@delete')->name('supprimer.utilisateurs');
        Route::post('reinitialiser.mdp', 'App\Http\Controllers\UserController@reinitialiser')->name('reinitialiser.mdp');

        // provinces
        Route::get('/Parametrages/Provinces', 'App\Http\Controllers\ProvinceController@index')->name('Gestion des provinces');
        Route::post('ajouter.province', 'App\Http\Controllers\ProvinceController@store')->name('ajouter.province');
        Route::post('modifier.province', 'App\Http\Controllers\ProvinceController@update')->name('modifier.province');
        Route::post('supprimer.province', 'App\Http\Controllers\ProvinceController@delete')->name('supprimer.province');
        Route::post('hard.province', 'App\Http\Controllers\ProvinceController@delete_soft')->name('supprimer.province.soft');
         // departement
        Route::get('/Parametrages/Departements', 'App\Http\Controllers\DepartementController@index')->name('Gestion des Departements');
        Route::post('ajouter.departement', 'App\Http\Controllers\DepartementController@store')->name('ajouter.departement');
        Route::post('modifier.departement', 'App\Http\Controllers\DepartementController@update')->name('modifier.departement');
        Route::post('supprimer.departement', 'App\Http\Controllers\DepartementController@delete')->name('supprimer.departement');
        Route::post('hard.departement', 'App\Http\Controllers\DepartementController@delete_soft')->name('supprimer.departement.soft');
        // district
        Route::get('/Parametrages/Districts', 'App\Http\Controllers\DistrictController@index')->name('Gestion des Districts');
        Route::post('ajouter.district', 'App\Http\Controllers\DistrictController@store')->name('ajouter.district');
        Route::post('modifier.district', 'App\Http\Controllers\DistrictController@update')->name('modifier.district');
        Route::post('supprimer.district', 'App\Http\Controllers\DistrictController@delete')->name('supprimer.district');
        Route::post('hard.district', 'App\Http\Controllers\DistrictController@delete_soft')->name('supprimer.district.soft');
        // gestion des votes
        Route::get('/Resultats/Enregistrement', 'App\Http\Controllers\ResultatController@ajouter')->name('Ajouter les resultats');
        Route::post('ajouter.vote', 'App\Http\Controllers\ResultatController@store')->name('ajouter.vote');



        // reporting 
        Route::get('/Reporting/Donnees', 'App\Http\Controllers\ReportingController@creer_bureaux')->name('charger les donnes');
        Route::get('/Reporting/Général', 'App\Http\Controllers\ReportingController@general')->name('reporting général');
        Route::get('/Reporting/Province', 'App\Http\Controllers\ReportingController@province')->name('reporting provinces');
        Route::get('/Reporting/Bureau', 'App\Http\Controllers\ReportingController@Bureau')->name('reporting Bureau');
        // pdf
        Route::get('/Resultats/Imprimer/Bureau', 'App\Http\Controllers\ReportingController@imprimer_Bureau')->name('imprimer etat bureau');
        Route::get('/Resultats/Imprimer/Centre', 'App\Http\Controllers\ReportingController@imprimer_Centre')->name('imprimer etat Centre');



});
